!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_2395) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2396) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2397) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_2398) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_302) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/  &
                       2d0 - cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_303) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/  &
                       2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_301) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_306) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0&
                        + cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_307) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 - ca*cb*&
                       cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*ee**2d0*sb**2d0* &
                       vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*  &
                       cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0* &
                       cima*l5*sa*vev2/2d0 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw&
                       **2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1  &
                        - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l4*&
                       sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
      coupl(nGC_304) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0&
                        - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_308) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*&
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*&
                       vev2/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev1 + ca*cima*ee**2d0*sb &
                       **2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 + cb**2d0*cima*&
                       ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev1/(2d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*  &
                       vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima* &
                       ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb** &
                       2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_309) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0  &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 + cb*cima&
                       *ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0* &
                       vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_1407) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1708) = -cb*cima*sa**2d0*sb
      coupl(nGC_1709) = ca**2d0*cb*cima*sb
      coupl(nGC_1878) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_1879) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_1874) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1703) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1876) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_1877) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_1870) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_527) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1872) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1705) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_2331) = -2d0*cima*sb**4d0
      coupl(nGC_1679) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                        *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                        l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1&
                         - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*  &
                        vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1452) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_1905) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1906) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1451) = -2d0*cima*ee/3d0
      coupl(nGC_1454) = -cima*sb
      coupl(nGC_1459) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_581) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2233) = 3d0*cb**3d0*cima*sb
      coupl(nGC_2232) = -3d0*cb*cima*sb**3d0
      coupl(nGC_2231) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2230) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_2235) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1298) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_1299) = -2d0*cima*cw*ee/sw
      coupl(nGC_1296) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1297) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1290) = cima*ee/cw
      coupl(nGC_1747) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1745) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1743) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_899) = -2d0*coupl(nGC_172)
      coupl(nGC_893) = -coupl(nGC_213)
      coupl(nGC_891) = -coupl(nGC_365)
      coupl(nGC_895) = -coupl(nGC_341)
      coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_2129) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2128) = -ca*cb*cima*sa*sb
      coupl(nGC_2127) = -ca*cb*cima*sa*sb
      coupl(nGC_2126) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2125) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb&
                        **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*&
                        sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa&
                        *sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 &
                         - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2121) = -ca*cb*cima*sa*sb
      coupl(nGC_48) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_49) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_44) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_46) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/  &
                      2d0 + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb** &
                      2d0/2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                      *ca*cb*cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**&
                      2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 -  &
                      cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_47) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca* &
                      cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima* &
                      l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa&
                      *sb + cb**2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_40) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
      coupl(nGC_41) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb&
                      **2d0
      coupl(nGC_42) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
      coupl(nGC_43) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb&
                      **2d0
      coupl(nGC_2013) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_2012) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_2011) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2010) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2017) = ca**2d0*cb*cima*sb
      coupl(nGC_2016) = -cb*cima*sa**2d0*sb
      coupl(nGC_2015) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2014) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_2019) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2018) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2234) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**  &
                       2d0*sb*vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2&
                       /(2d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev1/(2d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev2/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_311) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 + ca*cb* &
                       cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*l4*sb**2d0*vev1/ &
                       2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*l4*sa* &
                       vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb* &
                       cima*l3*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0* &
                       sw**2d0) - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**&
                       2d0*vev2/2d0
      coupl(nGC_312) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*   &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev1 + cb**2d0* &
                       cima*l5*sa*vev2 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**  &
                       2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 + cb*cima*&
                       ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + cima*ee**2d0*sa*sb** &
                       2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb**2d0*vev2 + cima*&
                       ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_317) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/  &
                       2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_316) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/  &
                       2d0 - cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_319) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0&
                        - cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_539) = cima*sa*sb**2d0*vev1
      coupl(nGC_1848) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_515) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*&
                       sb*vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb* &
                       l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
      coupl(nGC_531) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1840) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_533) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_1842) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_535) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_1844) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_537) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1846) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1609) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1959) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1958) = 3d0*ca**2d0*cima*sa*vev1
      coupl(nGC_1953) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca* &
                        l3*sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*  &
                        vev2 + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0* &
                        vev1)
      coupl(nGC_1952) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1951) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1950) = -ca*cima*sb**2d0*vev1
      coupl(nGC_1935) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1934) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1937) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1936) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1939) = ca*cb**2d0*cima*sa
      coupl(nGC_1938) = -ca*cima*sa*sb**2d0
      coupl(nGC_1484) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_1955) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_1486) = -cb*cima
      coupl(nGC_1593) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb &
                        **2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*  &
                        vev2 + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3* &
                        sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*  &
                        vev1)
      coupl(nGC_1592) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_1591) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_1590) = -ca*cb**2d0*cima*vev1
      coupl(nGC_1597) = cb*cima
      coupl(nGC_1596) = -cima*sb
      coupl(nGC_1595) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_1594) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa&
                        *vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_1132) = cima*ee/3d0
      coupl(nGC_889) = coupl(nGC_200)/2d0
      coupl(nGC_887) = -2d0*coupl(nGC_214)
      coupl(nGC_1338) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2* &
                        sa*sb**2d0)
      coupl(nGC_2138) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                        2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa &
                         + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**&
                        2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_2139) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_39) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0* &
                      cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*  &
                      cima*l5*sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa** &
                      2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_38) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*&
                      cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*  &
                      cima*l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa** &
                      2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_31) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_30) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_33) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb** &
                      2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb&
                      **2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb +  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_32) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**  &
                      2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb&
                      **2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb -  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_35) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca* &
                      cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0* &
                      cima*l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**  &
                      2d0 + ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_34) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb** &
                      2d0*cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb&
                      **2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb -  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_37) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_36) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb&
                      **2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*   &
                      cima*l5*sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**  &
                      2d0 - ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_2006) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_2007) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2008) = -3d0*cb**4d0*cima
      coupl(nGC_2009) = -3d0*cima*sb**4d0
      coupl(nGC_310) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - 2d0*ca*cb&
                       *cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1&
                        + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 -  &
                       cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + &
                       cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l2*sa*&
                       sb**2d0*vev2 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0&
                       )
      coupl(nGC_2228) = 2d0*cima*ee/sw
      coupl(nGC_2229) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_2220) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_315) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_2222) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2223) = -3d0*cb**3d0*cima*sb
      coupl(nGC_2224) = 3d0*cb*cima*sb**3d0
      coupl(nGC_2225) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2226) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_314) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(2d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - 2d0*ca&
                       *cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*  &
                       vev1 + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2&
                        - cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 -  &
                       cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0 &
                       ) - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*sw**2d0) - cima*l2&
                       *sa*sb**2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*cw &
                       **2d0)
      coupl(nGC_318) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_328) = -ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2 - ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev1 + cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_329) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_324) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/( &
                       2d0*sw)
      coupl(nGC_325) = cb*cima*ee**2d0*vev1/(2d0*sw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*sw)
      coupl(nGC_326) = -cb*cima*ee**2d0*vev1/sw - cima*ee**2d0*sb*vev2/sw
      coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw** &
                       2d0) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima&
                       *ee**2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0&
                       *cw**2d0)
      coupl(nGC_320) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0&
                        + cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_321) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/( &
                       2d0*sw)
      coupl(nGC_1849) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = cb**2d0*ee**2d0/sw + ee**2d0*sb**2d0/sw
      coupl(nGC_189) = -cima*ee**2d0/sw**2d0
      coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0* &
                       sw)
      coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
      coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
      coupl(nGC_184) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
      coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
      coupl(nGC_186) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_1841) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1843) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1610) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1611) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1612) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1613) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1614) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_615) = cima*gs
      coupl(nGC_1616) = cima*sb
      coupl(nGC_1617) = cima*cw*ee/sw
      coupl(nGC_1618) = cima*ee/sw
      coupl(nGC_1845) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1847) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1850) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1922) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_1923) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1921) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1586) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1587) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa &
                         - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_1588) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1589) = -cima*sa*sb**2d0*vev2
      coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_2251) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_2250) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_1324) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1325) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1326) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1327) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1320) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_1321) = sqrt(2d0)*cb/2d0
      coupl(nGC_1322) = sqrt(2d0)*sb/2d0
      coupl(nGC_1323) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1328) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_1329) = sqrt(2d0)*sb/2d0
      coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_2109) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2&
                        *sa**2d0)
      coupl(nGC_2108) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2101) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb&
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_2100) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2103) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_2102) = cima*ee*sw/(3d0*cw)
      coupl(nGC_2105) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_2104) = cima*ee/(3d0*cw)
      coupl(nGC_2107) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_2106) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
      coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
      coupl(nGC_2039) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2038) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_2031) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_2030) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2032) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2214) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_2216) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_2213) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_2212) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_2195) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_190) = cima*ee**2d0/sw**2d0
      coupl(nGC_199) = cima*cw*ee/sw
      coupl(nGC_198) = -cima*cw*ee/sw
      coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_1629) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1628) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1625) = -cima*sb
      coupl(nGC_1624) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_1627) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**&
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1626) = -cb*cima
      coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_1620) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_1623) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1622) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1823) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_2057) = cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_1821) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1820) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_517) = -cb**2d0*cima*sa*vev2
      coupl(nGC_1825) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1824) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_519) = -ca*cima*sb**2d0*vev1
      coupl(nGC_2055) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb &
                        **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*&
                        l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1489) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1488) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_2054) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_1481) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_1480) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1483) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1482) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1485) = cima*sb
      coupl(nGC_1956) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*&
                        l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**&
                        2d0)
      coupl(nGC_1487) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_2052) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1139) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_1138) = sqrt(2d0)*sb/2d0
      coupl(nGC_2051) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1131) = -2d0*gs
      coupl(nGC_1133) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_2050) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1135) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1134) = sqrt(2d0)*sb/2d0
      coupl(nGC_1137) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1136) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_1557) = -cima*sb
      coupl(nGC_1556) = -cb*cima
      coupl(nGC_1554) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1553) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1552) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_1559) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1558) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1317) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_1319) = -cb*cima
      coupl(nGC_1318) = cima*sb
      coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima* &
                      l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**&
                      3d0 - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_15) = cima*gs**2d0
      coupl(nGC_14) = -cima*gs**2d0
      coupl(nGC_13) = cima*gs
      coupl(nGC_12) = -gs
      coupl(nGC_11) = -2d0*gs
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_1504) = -2d0*cb*cima*sb**3d0
      coupl(nGC_2028) = -ca**2d0*cb*cima*sb
      coupl(nGC_2029) = cb*cima*sa**2d0*sb
      coupl(nGC_2022) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_2023) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_2020) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_2021) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_2026) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_2027) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2024) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_2025) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_2202) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_2203) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_2205) = -2d0*cb**3d0*cima*sb
      coupl(nGC_2116) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_2114) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_2115) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_2112) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_2113) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_2110) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_2111) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_2118) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb +  &
                        ca*cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3&
                        *sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3* &
                        sa*sb**2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0* &
                        sb)
      coupl(nGC_2119) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2200) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_2201) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_2378) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2379) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2376) = -cb**2d0*cima*sb**2d0
      coupl(nGC_2377) = -cb**2d0*cima*sb**2d0
      coupl(nGC_2374) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2375) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_2207) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2204) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2208) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1989) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2209) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1987) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_525) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
      coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*&
                       vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 -  &
                       ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2&
                        - ca*cima*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*&
                       vev1 + cb**2d0*cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb&
                       *vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - &
                       cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*&
                       cw**2d0) + cima*l5*sa*sb**2d0*vev1
      coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa&
                       *sb*vev2/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**  &
                       2d0*sb*vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2&
                       /(4d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev1/(4d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev2/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*&
                       cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0* &
                       vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*  &
                       cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0* &
                       cima*l5*sa*vev1/2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw&
                       **2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2  &
                        + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l4*&
                       sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
      coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb&
                       *cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2&
                        + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 +  &
                       cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - &
                       cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*&
                       sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0&
                       )
      coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0 &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima&
                       *ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0* &
                       vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_1638) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**  &
                        4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**  &
                        2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0  &
                         + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 -  &
                        l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_1632) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw*sw**2d0)
      coupl(nGC_1633) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1630) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw +  &
                        sw)/(cw*sw)
      coupl(nGC_1631) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw)
      coupl(nGC_1636) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1637) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1634) = -3d0*ca*cima*sa**3d0
      coupl(nGC_1635) = 3d0*ca**3d0*cima*sa
      coupl(nGC_1342) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1343) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_1340) = -cima*sa*sb**2d0*vev2
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_1831) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca&
                        *cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                        vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**  &
                        2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb&
                        *vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_1832) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4* &
                        sa - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_1833) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1834) = -ca*cb*cima*sb*vev2
      coupl(nGC_1835) = -cb*cima*sa*sb*vev1
      coupl(nGC_1836) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1837) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1838) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0* &
                        ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0&
                        *vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb** &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
      coupl(nGC_1839) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1948) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_1949) = -cb**2d0*cima*sa*vev2
    end subroutine fill_couplings_mdl2
end module fill_couplings2
