!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_1940) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1941) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1942) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1943) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1944) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1945) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1946) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*&
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1947) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0&
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_1867) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_553) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1544) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1545) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1540) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1713) = 2d0*cima*ee**2d0
      coupl(nGC_1542) = ca*cima*sa*sb**2d0
      coupl(nGC_1543) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1494) = sqrt(2d0)*sb/2d0
      coupl(nGC_1495) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1492) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1493) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_1490) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1491) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_1498) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2206) = 2d0*cb*cima*sb**3d0
      coupl(nGC_1188) = sqrt(2d0)*cb/2d0
      coupl(nGC_2268) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_859) = -2d0*coupl(nGC_215)
      coupl(nGC_2269) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_855) = -coupl(nGC_26)
      coupl(nGC_853) = -coupl(nGC_347)
      coupl(nGC_851) = -coupl(nGC_179)
      coupl(nGC_1300) = -2d0*cima*ee/sw
      coupl(nGC_1301) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_2273) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_2272) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1474) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3* &
                        sa*sb**2d0)
      coupl(nGC_2163) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2162) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**  &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_2167) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_2166) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2165) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2164) = -ca**2d0*cima*sb**2d0
      coupl(nGC_2168) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                        ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa &
                         - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb** &
                        2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2303) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_2307) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_2306) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_2305) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_2304) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1337) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                        *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0* &
                        vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1330) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1871) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**  &
                       2d0*sb*vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1&
                       /(2d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev2/(2d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev1/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       2d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa&
                       *sb*vev1/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*&
                       vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 +  &
                       ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1&
                        - ca*cima*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*&
                       vev2 - cb**2d0*cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb&
                       *vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - &
                       cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*&
                       cw**2d0) - cima*l5*sa*sb**2d0*vev2
      coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*   &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0* &
                       cima*l5*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**  &
                       2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*&
                       ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0*sa*sb** &
                       2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 - cima*&
                       ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb* &
                       cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/ &
                       2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa* &
                       vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb* &
                       cima*l3*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0* &
                       sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**&
                       2d0*vev1/2d0
      coupl(nGC_1700) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1785) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1339) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb&
                        *l5*sa*sb)
      coupl(nGC_1701) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1809) = -3d0*ca**4d0*cima
      coupl(nGC_1808) = -3d0*cima*sa**4d0
      coupl(nGC_1805) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1804) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1807) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1806) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1801) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1800) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_1803) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1802) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1157) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1156) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1155) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1154) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_1159) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_1158) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1795) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1794) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_1797) = -3d0*cima*sa**4d0
      coupl(nGC_1796) = -3d0*ca**4d0*cima
      coupl(nGC_1793) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_1799) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1798) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1704) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1571) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_1570) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw*sw**2d0)
      coupl(nGC_1573) = cima*sb
      coupl(nGC_1572) = cb*cima
      coupl(nGC_1575) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1574) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1577) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1576) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1578) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1977) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1976) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_2135) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1979) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1978) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_2137) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2130) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa&
                        *sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2131) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5&
                        *sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                         + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_849) = -coupl(nGC_178)
      coupl(nGC_845) = -coupl(nGC_173)
      coupl(nGC_847) = -coupl(nGC_199)
      coupl(nGC_843) = -coupl(nGC_350)
      coupl(nGC_1370) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_1957) = -3d0*ca*cima*sa**2d0*vev2
      coupl(nGC_1207) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                        ca*vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_1206) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_1205) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*  &
                        vev1)/(cw**2d0*sw**2d0)
      coupl(nGC_2279) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1209) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1208) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_2278) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_545) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_1954) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa* &
                        sb*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_2172) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2173) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_2174) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_2175) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2176) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_1621) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2318) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2319) = -cima*sb**4d0
      coupl(nGC_1822) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_2313) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2314) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2315) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_2316) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2317) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_513) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_1986) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**  &
                       2d0*sb*vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1&
                       /(4d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev2/(4d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev1/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw &
                       **2d0)
      coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa&
                       *sb*vev1/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw&
                       **2d0)
      coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw &
                       **2d0)
      coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(4d0*sw**2d0)
      coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1818) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1819) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1812) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4  &
                         - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + &
                        l5*sa**2d0)
      coupl(nGC_1813) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1810) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1811) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1816) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_1817) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1814) = -2d0*cima*ee**2d0/sw
      coupl(nGC_1815) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1140) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_1782) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1783) = -3d0*ca**3d0*cima*sa
      coupl(nGC_1780) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1781) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_1786) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1787) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_1784) = 3d0*ca*cima*sa**3d0
      coupl(nGC_2221) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_2227) = 2d0*cima*cw*ee/sw
      coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_1568) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw&
                        )/(cw*sw)
      coupl(nGC_1569) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw)
      coupl(nGC_1566) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1567) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1564) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1565) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_1562) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_1563) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1560) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1561) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1962) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1963) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1960) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1961) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0* &
                        ca**3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*&
                        sa*vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*  &
                        vev2 + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 &
                         + 7d0*ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 +   &
                        7d0*ca*l5*sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3* &
                        sa**3d0*vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*   &
                        vev2)
      coupl(nGC_1966) = cb*cima*sa**2d0*sb
      coupl(nGC_1967) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1964) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1965) = -ca**2d0*cb*cima*sb
      coupl(nGC_1968) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1969) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_575) = sqrt(2d0)*sb/2d0
      coupl(nGC_1887) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_879) = coupl(nGC_11)/2d0
      coupl(nGC_871) = -2d0*coupl(nGC_25)
      coupl(nGC_1737) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_I) = cima
      coupl(nGC_873) = -coupl(nGC_15)
      coupl(nGC_875) = -2d0*coupl(nGC_15)
      coupl(nGC_1736) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1368) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_1369) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1735) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1734) = -2d0*cima*ee**2d0
      coupl(nGC_1364) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1365) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_1366) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1367) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1217) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1218) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
      coupl(nGC_1219) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1363) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2099) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2098) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2092) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2095) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb &
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_2094) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                        2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3&
                        *sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_571) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_2149) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2148) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2145) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_2144) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*&
                        cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa +  &
                        ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 &
                         + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2147) = sqrt(2d0)*sb/2d0
      coupl(nGC_2146) = sqrt(2d0)*cb/2d0
      coupl(nGC_2141) = -ca**2d0*cima*sb**2d0
      coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb* &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1&
                       /2d0 + ca*cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**  &
                       2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 &
                        + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb&
                       **2d0*vev2/2d0
      coupl(nGC_2143) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_2142) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2327) = cb*cima
      coupl(nGC_2326) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_2321) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2320) = -cb**4d0*cima
      coupl(nGC_573) = sqrt(2d0)*cb/2d0
      coupl(nGC_2354) = -3d0*cb**4d0*cima
      coupl(nGC_2355) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2356) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2357) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2351) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_2352) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2353) = -3d0*cima*sb**4d0
      coupl(nGC_2358) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_1869) = -cima*sb**4d0
      coupl(nGC_2359) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1285) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw &
                       **2d0)
      coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw &
                       **2d0)
      coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw&
                       **2d0)
      coupl(nGC_2215) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1214) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1215) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_1216) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1779) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1778) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_1777) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_1210) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                        vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1211) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_1212) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1213) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**&
                       2d0*cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*&
                       cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima&
                       *l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa* &
                       sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb  &
                        - ca*cb*cima*ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb&
                       **2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4&
                       *sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*&
                       ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima&
                       *l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 &
                        + cb**2d0*cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb&
                       **2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima&
                       *l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0&
                       *sb**2d0
      coupl(nGC_1513) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1512) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1511) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1510) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1515) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1514) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1689) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1688) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_1683) = cima*sa*sb**2d0*vev1
      coupl(nGC_1682) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1681) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                         - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_1680) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1687) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*&
                        vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_1686) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**&
                        2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1&
                         + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb&
                        **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
      coupl(nGC_1685) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1684) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1999) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1998) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                        2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1997) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1996) = ca*cb**2d0*cima*sa
      coupl(nGC_1995) = -ca*cima*sa*sb**2d0
      coupl(nGC_1994) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1993) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1992) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1991) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1990) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_867) = -coupl(nGC_184)
      coupl(nGC_865) = -coupl(nGC_362)
      coupl(nGC_863) = -coupl(nGC_344)
      coupl(nGC_861) = -2d0*coupl(nGC_184)
      coupl(nGC_869) = -2d0*coupl(nGC_218)
      coupl(nGC_1355) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1354) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_1356) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1351) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1422) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1353) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1352) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1388) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1190) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1389) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
      coupl(nGC_1221) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_1220) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_1223) = cb**2d0*cima*sa*vev1
      coupl(nGC_1222) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1225) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1224) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1227) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa* &
                        sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1226) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3&
                        *sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1&
                         + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5&
                        *sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_2217) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_245) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_2088) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb &
                        **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*&
                        l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_2089) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_2080) = cima*ee
      coupl(nGC_2081) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                        *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +  &
                        2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0&
                        *sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_2082) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_2083) = -cima*sa**2d0*sb**2d0
      coupl(nGC_2084) = -ca**2d0*cb**2d0*cima
      coupl(nGC_2085) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_2086) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_2087) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca&
                        *cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - &
                        ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 &
                         - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**  &
                       2d0) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_2152) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_2150) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_2151) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_2332) = -2d0*cb**4d0*cima
      coupl(nGC_2333) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2330) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2334) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2093) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*sw)
      coupl(nGC_323) = -cb*cima*ee**2d0*vev2/sw + cima*ee**2d0*sb*vev1/sw
      coupl(nGC_2091) = -ca**2d0*cima*sb**2d0
      coupl(nGC_2090) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2097) = -ca**2d0*cima*sb**2d0
      coupl(nGC_2096) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1541) = -ca*cb**2d0*cima*sa
      coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(4d0*sw**2d0)
      coupl(nGC_1397) = -cima*sb
      coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_1464) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb&
                       *vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw** &
                       2d0) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**  &
                       2d0) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_2211) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_2140) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2325) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_2324) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1162) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1163) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1160) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_1161) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_1166) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_1164) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_1165) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_1764) = -cima*(cb*yt1 + sb*yt2)
    end subroutine fill_couplings_mdl3
end module fill_couplings3
