!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3013) = coupl(nGC_1240)*dZee_QED2 + coupl(nGC_1241)*dsw_QED2 + &
                        coupl(nGC_1242)*dcw_QED2 + coupl(nGC_1243)*dvev1_QED1  &
                         + coupl(nGC_1244)*dvev2_QED1 + coupl(nGC_1245)*da_QED2
      coupl(nGC_3704) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_3490) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3498) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3145) = coupl(nGC_1739)*dZee_QED2 + coupl(nGC_1740)*dsw_QED2
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3399) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3730) = -coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3735) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_3736) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2969) = coupl(nGC_2287)*db_QED2 + coupl(nGC_2288)*dl3_QED4 +   &
                        coupl(nGC_2289)*dl2_QED4 + coupl(nGC_2290)*dl1_QED4 +  &
                        coupl(nGC_2291)*dl4_QED4 + coupl(nGC_2292)*dl5_QED4
      coupl(nGC_3813) = coupl(nGC_70)*dZGMinus
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3657) = coupl(nGC_229)*dZGMinus
      coupl(nGC_3651) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_3388) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3662) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3661) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_3039) = coupl(nGC_1721)*dvev1_QED1 + coupl(nGC_1722)*dvev2_QED1&
                         + coupl(nGC_1723)*dZee_QED2 + coupl(nGC_1724)*dsw_QED2&
                         + coupl(nGC_1725)*db_QED2
      coupl(nGC_3689) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3825) = -coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3826) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_3821) = -coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3823) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3842) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2962) = coupl(nGC_2070)*db_QED2 + coupl(nGC_2071)*dl3_QED4 +   &
                        coupl(nGC_2072)*dl2_QED4 + coupl(nGC_2073)*dl1_QED4 +  &
                        coupl(nGC_2074)*dl4_QED4 + coupl(nGC_2075)*dl5_QED4 +  &
                        coupl(nGC_2076)*da_QED2
      coupl(nGC_3623) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3627) = -coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3539) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_3532) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3530) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3751) = coupl(nGC_70)*dZG0
      coupl(nGC_3755) = -coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3488) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_3148) = coupl(nGC_1265)*dZee_QED2 + coupl(nGC_1266)*da_QED2 +  &
                        coupl(nGC_1267)*dsw_QED2 + coupl(nGC_1268)*db_QED2
      coupl(nGC_3338) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3634) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3638) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_3440) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_3298) = -cima*dMHA2_QED2
      coupl(nGC_3296) = -cima*dMHL2_QED2
      coupl(nGC_3526) = coupl(nGC_99)*dZG0
      coupl(nGC_3295) = -cima*dMHC2_QED2
      coupl(nGC_3522) = coupl(nGC_220)*dZGMinus
      coupl(nGC_3523) = coupl(nGC_42)*dZGMinus
      coupl(nGC_3297) = -cima*dMHH2_QED2
      coupl(nGC_3743) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_3747) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_3698) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3699) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3995) = coupl(nGC_218)*dZGMinus
      coupl(nGC_3997) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3996) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3998) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3518) = coupl(nGC_35)*dZG0
      coupl(nGC_3515) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_3514) = coupl(nGC_228)*dZGMinus
      coupl(nGC_3777) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3179) = coupl(nGC_1451)*dZee_QED2
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3619) = coupl(nGC_230)*dZG0
      coupl(nGC_3588) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3983) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3980) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_3984) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3610) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*     &
                        dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_3145)
      coupl(nGC_3616) = coupl(nGC_52)*dZGMinus/2d0
      coupl(nGC_3342) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3463) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3506) = coupl(nGC_242)*dZG0
      coupl(nGC_3504) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_3314) = -cima*dMB_QCD2
      coupl(nGC_3188) = coupl(nGC_1288)*dZee_QED2 + coupl(nGC_1289)*dcw_QED2 + &
                        coupl(nGC_1290)*dsw_QED2
      coupl(nGC_3189) = coupl(nGC_1876)*dZee_QED2 + coupl(nGC_1877)*dcw_QED2 + &
                        coupl(nGC_1878)*dsw_QED2
      coupl(nGC_3180) = coupl(nGC_1132)*dZee_QED2
      coupl(nGC_3181) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_3186) = coupl(nGC_2102)*dZee_QED2 + coupl(nGC_2103)*dcw_QED2 + &
                        coupl(nGC_2104)*dsw_QED2
      coupl(nGC_3187) = coupl(nGC_1440)*dZee_QED2 + coupl(nGC_1441)*dcw_QED2 + &
                        coupl(nGC_1442)*dsw_QED2
      coupl(nGC_3763) = -coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3768) = coupl(nGC_73)*dZG0
      coupl(nGC_3167) = coupl(nGC_1847)*db_QED2 + coupl(nGC_1848)*dZee_QED2 +  &
                        coupl(nGC_1849)*dcw_QED2 + coupl(nGC_1850)*da_QED2
      coupl(nGC_3161) = coupl(nGC_1934)*dZee_QED2 + coupl(nGC_1935)*dsw_QED2
      coupl(nGC_3168) = coupl(nGC_1872)*dZee_QED2 + coupl(nGC_1873)*dcw_QED2 + &
                        coupl(nGC_1874)*dsw_QED2
      coupl(nGC_3169) = coupl(nGC_1323)*db_QED2 + coupl(nGC_1324)*dvev1_QED1 + &
                        coupl(nGC_1325)*dcw_QED2 + coupl(nGC_1326)*dZee_QED2 + &
                        coupl(nGC_1327)*dvev2_QED1
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2965) = coupl(nGC_2062)*db_QED2 + coupl(nGC_2063)*dl3_QED4 +   &
                        coupl(nGC_2064)*dl2_QED4 + coupl(nGC_2065)*dl1_QED4 +  &
                        coupl(nGC_2066)*dl4_QED4 + coupl(nGC_2067)*dl5_QED4 +  &
                        coupl(nGC_2068)*da_QED2
      coupl(nGC_3429) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_2953) = coupl(nGC_1905)*dZee_QED2 + coupl(nGC_1906)*dcw_QED2
      coupl(nGC_3139) = coupl(nGC_581)*dyt1_QED1_QCD2 + coupl(nGC_583)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3421) = -coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3423) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3427) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3426) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3979) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3978) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 - coupl(nGC_173 &
                        )*dZHhHl_QED2/2d0 - coupl(nGC_178)*dZHMinus_QED2/2d0 - &
                        coupl(nGC_178)*dZHl_QED2/2d0 - coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_3148)
      coupl(nGC_3972) = -coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3971) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_172 &
                        )*dZHlHh_QED2/2d0 - coupl(nGC_178)*dZHh_QED2/2d0 -     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 - coupl(nGC_3148)
      coupl(nGC_3970) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_3454) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3889) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_3882) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3885) = -coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3370) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3372) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3374) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2591) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2596) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi** &
                        2d0)
      coupl(nGC_2594) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi** &
                        2d0)
      coupl(nGC_2595) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi** &
                        2d0)
      coupl(nGC_3571) = coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3575) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2953) + coupl(&
                        nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_3579) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_3851) = coupl(nGC_3314) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_3852) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_2683) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2680) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3049) = coupl(nGC_1131)*dZgs_QCD2
      coupl(nGC_2927) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/( &
                        32d0*pi**2d0)
      coupl(nGC_3797) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3795) = -coupl(nGC_11)*dZg_QCD2/4d0 - coupl(nGC_3049)/2d0
      coupl(nGC_3791) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_3790) = -coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3155) = coupl(nGC_1459)*dZee_QED2 + coupl(nGC_1460)*dsw_QED2
      coupl(nGC_3409) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3408) = coupl(nGC_29)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3405) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_3402) = coupl(nGC_45)*dZGMinus
      coupl(nGC_2978) = coupl(nGC_1728)*db_QED2 + coupl(nGC_1729)*dl3_QED4 +   &
                        coupl(nGC_1730)*dl2_QED4 + coupl(nGC_1731)*dl1_QED4 +  &
                        coupl(nGC_1732)*dl4_QED4 + coupl(nGC_1733)*dl5_QED4
      coupl(nGC_2970) = coupl(nGC_1246)*db_QED2 + coupl(nGC_1247)*dl3_QED4 +   &
                        coupl(nGC_1248)*dl2_QED4 + coupl(nGC_1249)*dl1_QED4 +  &
                        coupl(nGC_1250)*dl4_QED4 + coupl(nGC_1251)*dl5_QED4
      coupl(nGC_2971) = coupl(nGC_2374)*db_QED2 + coupl(nGC_2375)*dl3_QED4 +   &
                        coupl(nGC_2376)*dl2_QED4 + coupl(nGC_2377)*dl1_QED4 +  &
                        coupl(nGC_2378)*dl4_QED4 + coupl(nGC_2379)*dl5_QED4
      coupl(nGC_3085) = coupl(nGC_1282)*dyd13x3_QED1_QCD2 + coupl(nGC_1283)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3084) = coupl(nGC_1282)*dyd13x3_QED3 + coupl(nGC_1283)*        &
                        dyb2_QED3 + coupl(nGC_1284)*da_QED2
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2928) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3443) = coupl(nGC_23)*dZGMinus/2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3968) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3964) = coupl(nGC_3013) + coupl(nGC_328)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_331)*dZHh_QED2/2d0
      coupl(nGC_3966) = -coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3967) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3893) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3895) = -coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3446) = coupl(nGC_33)*dZGMinus
      coupl(nGC_2568) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2564) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2562) = coupl(nGC_13)**2d0*coupl(nGC_785)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3560) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3563) = coupl(nGC_34)*dZGMinus/2d0
      coupl(nGC_3565) = coupl(nGC_74)*dZGMinus
      coupl(nGC_3567) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_3366) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3364) = coupl(nGC_221)*dZGMinus
      coupl(nGC_3363) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_3360) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3368) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3787) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_2940) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_3417) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_3142) = coupl(nGC_2105)*dZee_QED2 + coupl(nGC_2106)*da_QED2 +  &
                        coupl(nGC_2107)*dsw_QED2 + coupl(nGC_2108)*db_QED2
      coupl(nGC_3090) = coupl(nGC_1296)*dyd13x3_QED3 + coupl(nGC_1297)*        &
                        dyb2_QED3 + coupl(nGC_1298)*da_QED2
      coupl(nGC_3091) = coupl(nGC_1296)*dyd13x3_QED1_QCD2 + coupl(nGC_1297)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3092) = coupl(nGC_1133)*db_QED2 + coupl(nGC_1134)*dydo1_QED3 + &
                        coupl(nGC_1135)*dydo2_QED3
      coupl(nGC_3093) = coupl(nGC_1134)*dydo1_QED1_QCD2 + coupl(nGC_1135)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3094) = coupl(nGC_1493)*db_QED2 + coupl(nGC_1494)*dyd12x2_QED3 &
                         + coupl(nGC_1495)*dys2_QED3
      coupl(nGC_3095) = coupl(nGC_1494)*dyd12x2_QED1_QCD2 + coupl(nGC_1495)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3099) = coupl(nGC_1452)*db_QED2 + coupl(nGC_1453)*dym1_QED3 +  &
                        coupl(nGC_1454)*dym2_QED3
      coupl(nGC_3946) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_3944) = coupl(nGC_249)*dZGMinus
      coupl(nGC_3574) = -coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3942) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_eL_QED2 + coupl(nGC_3187)
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2981) = coupl(nGC_2118)*db_QED2 + coupl(nGC_2119)*dl3_QED4 +   &
                        coupl(nGC_2120)*dl2_QED4 + coupl(nGC_2121)*dl1_QED4 +  &
                        coupl(nGC_2122)*dl4_QED4 + coupl(nGC_2123)*dl5_QED4 +  &
                        coupl(nGC_2124)*da_QED2
      coupl(nGC_3902) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3951) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3950) = coupl(nGC_26)*dZGMinus
      coupl(nGC_3953) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3955) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3956) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3152) = coupl(nGC_2012)*dZee_QED2 + coupl(nGC_2013)*dsw_QED2
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3404) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3916) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2984) = coupl(nGC_1840)*db_QED2 + coupl(nGC_1841)*dZee_QED2 +  &
                        coupl(nGC_1842)*dcw_QED2 + coupl(nGC_1843)*da_QED2
      coupl(nGC_2973) = coupl(nGC_2162)*db_QED2 + coupl(nGC_2163)*dl3_QED4 +   &
                        coupl(nGC_2164)*dl2_QED4 + coupl(nGC_2165)*dl1_QED4 +  &
                        coupl(nGC_2166)*dl4_QED4 + coupl(nGC_2167)*dl5_QED4 +  &
                        coupl(nGC_2168)*da_QED2
      coupl(nGC_3559) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3554) = -coupl(nGC_3139) - coupl(nGC_371)*dZtL_QCD2/2d0 - coupl&
                        (nGC_371)*dZtR_QCD2/2d0
      coupl(nGC_3557) = coupl(nGC_329)*dZZA_QED2/2d0
      coupl(nGC_3556) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3552) = coupl(nGC_3139) + coupl(nGC_371)*dZtL_QCD2/2d0 + coupl(&
                        nGC_371)*dZtR_QCD2/2d0
      coupl(nGC_3313) = -cima*dMB_QED2
      coupl(nGC_3312) = -cima*dMS_QCD2
      coupl(nGC_3311) = -cima*dMS_QED2
      coupl(nGC_3310) = -cima*dMD_QCD2
      coupl(nGC_3317) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_3316) = cima*dMW2_QED2
      coupl(nGC_3315) = cima*dMZ2_QED2
      coupl(nGC_3453) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_3319) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_3318) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_2950) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3138) = coupl(nGC_579)*db_QED2 + coupl(nGC_581)*dyt1_QED3 +    &
                        coupl(nGC_583)*dyt2_QED3
      coupl(nGC_3131) = coupl(nGC_1700)*dyc1_QED1_QCD2 + coupl(nGC_1701)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3130) = coupl(nGC_1700)*dyc1_QED3 + coupl(nGC_1701)*dyc2_QED3  &
                         + coupl(nGC_1702)*da_QED2
      coupl(nGC_3047) = coupl(nGC_1413)*dZgs_QCD2
      coupl(nGC_3046) = coupl(nGC_1299)*dZee_QED2 + coupl(nGC_1300)*dcw_QED2 + &
                        coupl(nGC_1301)*dsw_QED2
      coupl(nGC_3044) = coupl(nGC_2176)*dZee_QED2
      coupl(nGC_3041) = coupl(nGC_2392)*dZee_QED2
      coupl(nGC_3040) = coupl(nGC_2069)*dZee_QED2
      coupl(nGC_4024) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_4022) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3357) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_3356) = coupl(nGC_361)*dZGMinus/2d0
      coupl(nGC_3355) = coupl(nGC_3099) + coupl(nGC_358)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(      &
                        nGC_361)*dZnu_muL_QED2/2d0
      coupl(nGC_2405) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc* &
                        cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*  &
                        coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) - &
                        Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0&
                        *coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(    &
                        nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM&
                        **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl( &
                        nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(    &
                        nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi &
                        **2d0)
      coupl(nGC_3948) = coupl(nGC_3131) + coupl(nGC_333)*dZcL_QCD2/2d0 + coupl(&
                        nGC_333)*dZcR_QCD2/2d0
      coupl(nGC_3949) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_3044)
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
