!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_3377) = coupl(nGC_260)*dZHl_QED2/2d0 + coupl(nGC_271)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_3037)
      coupl(nGC_4019) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3758) = coupl(nGC_380)*dZG0/2d0
      coupl(nGC_3753) = coupl(nGC_200)*dZWMinus_QED2/4d0 + coupl(nGC_3046)/2d0
      coupl(nGC_4015) = -coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(     &
                        nGC_TS_GC_172_Hh) - coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_4014) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_4017) = -coupl(nGC_3318) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_173_Hl) + coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_2934) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0  &
                         + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl(  &
                        nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2935) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207)**&
                        4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl(     &
                        nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*   &
                        coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima* &
                        coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0*  &
                        cima*coupl(nGC_847)**4d0 + 2d0*coupl(nGC_195)*coupl(   &
                        nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_847)**2d0 &
                        )/(8d0*pi**2d0)
      coupl(nGC_2936) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0  &
                         + coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2937) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0 &
                         - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2930) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0  &
                         + coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl(  &
                        nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2931) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*coupl&
                        (nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl(     &
                        nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(nGC_366 &
                        ) - coupl(nGC_369)*coupl(nGC_372) - coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_2932) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl(&
                        nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(      &
                        nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366 &
                        ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_2933) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0 &
                         - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl(  &
                        nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2938) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(    &
                        128d0*pi**2d0)
      coupl(nGC_2939) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -    &
                        coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_4006) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*     &
                        dZHl_QED2 + coupl(nGC_2966)
      coupl(nGC_3921) = -coupl(nGC_3077) - coupl(nGC_368)*dZsL_QCD2/2d0 - coupl&
                        (nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_2682) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3630) = coupl(nGC_100)*dZG0
      coupl(nGC_2858) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_833) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_21)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2509) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2508) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3631) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_3152)
      coupl(nGC_2505) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc* &
                        coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl&
                        (nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl&
                        (nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(      &
                        nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2504) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc* &
                        coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl&
                        (nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl&
                        (nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(      &
                        nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2506) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324&
                        )*coupl(nGC_833) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_237) + 2d0*coupl(nGC_199)*coupl(nGC_324)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2501) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                        ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370 &
                        ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*   &
                        coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl( &
                        nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*   &
                        coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*coupl(      &
                        nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc* &
                        cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369) +  &
                        Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_373) +  &
                        2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_385 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_382)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_174)*coupl(      &
                        nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(nGC_324) + 2d0&
                        *cima*coupl(nGC_21)*coupl(nGC_231) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
      coupl(nGC_2500) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl( &
                        nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*   &
                        coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)* &
                        coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*   &
                        coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)* &
                        coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*cMS* &
                        coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc* &
                        cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372) +  &
                        2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_385 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                        nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*coupl(nGC_384)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_352)*coupl(nGC_354)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_358)*coupl(nGC_360)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376)*coupl(nGC_378 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_175)*coupl(      &
                        nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321) + 2d0&
                        *cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
      coupl(nGC_2502) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_3393) = coupl(nGC_232)*dZHMinus_QED2/2d0 + coupl(nGC_238)*     &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_3033)
      coupl(nGC_3989) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_3047)
      coupl(nGC_3640) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_4049) = -coupl(nGC_2505)
      coupl(nGC_3143) = coupl(nGC_1162)*dvev1_QED1 + coupl(nGC_1163)*dvev2_QED1&
                         + coupl(nGC_1164)*dZee_QED2 + coupl(nGC_1165)*dsw_QED2&
                         + coupl(nGC_1166)*db_QED2
      coupl(nGC_2795) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_343&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_382)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_370)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_343)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_364)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_370)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_382)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_817)*coupl(      &
                        nGC_847))/(48d0*pi**2d0)
      coupl(nGC_3636) = coupl(nGC_2965) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl( &
                        nGC_41)*dZHl_QED2
      coupl(nGC_3645) = coupl(nGC_100)*dZGMinus
      coupl(nGC_2598) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl&
                        (nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl&
                        (nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(      &
                        nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3644) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_4021) = -coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 + coupl(             &
                        nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_4039) = -coupl(nGC_2540)
      coupl(nGC_3647) = coupl(nGC_3155) + coupl(nGC_77)*dZHl_QED2 + coupl(     &
                        nGC_77)*dZWMinus_QED2
      coupl(nGC_2889) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*  &
                        coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)* &
                        coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl(&
                        nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*   &
                        coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(  &
                        nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3646) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_3379) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_3378) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2753) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_334&
                        )**2d0 + coupl(nGC_337)**2d0 + coupl(nGC_363)**2d0 +   &
                        coupl(nGC_365)*coupl(nGC_891) + coupl(nGC_366)**2d0 +  &
                        coupl(nGC_368)*coupl(nGC_785))/(64d0*pi**2d0)
      coupl(nGC_2754) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_364)** &
                        2d0 + coupl(nGC_365)*coupl(nGC_891) + coupl(nGC_366)** &
                        2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(      &
                        nGC_785))/(64d0*pi**2d0)
      coupl(nGC_3982) = coupl(nGC_3304) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3373) = coupl(nGC_3301) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_357_Hl) + coupl(nGC_TS_GC_360_Hh)
      coupl(nGC_3375) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_3040)
      coupl(nGC_2719) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_847) + coupl(nGC_206)*coupl(nGC_345)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_853) + coupl(  &
                        nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_350)*coupl(nGC_843) + coupl(nGC_207)*coupl(nGC_382 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2619) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_853) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_853) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_347) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_383) - coupl(nGC_347)*coupl(nGC_348)**2d0 -  &
                        coupl(nGC_347)*coupl(nGC_843)**2d0 - coupl(nGC_347)*   &
                        coupl(nGC_853)**2d0 - coupl(nGC_349)*coupl(nGC_383)*   &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2618) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3838) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_26)*dZHMinus_QED2 + coupl(nGC_3044)
      coupl(nGC_3032) = coupl(nGC_1463)*db_QED2 + coupl(nGC_1464)*dvev2_QED1 + &
                        coupl(nGC_1465)*dvev1_QED1 + coupl(nGC_1466)*dl2_QED4  &
                         + coupl(nGC_1467)*dl1_QED4 + coupl(nGC_1468)*dl4_QED4 &
                         + coupl(nGC_1469)*dl3_QED4 + coupl(nGC_1470)*da_QED2  &
                         + coupl(nGC_1471)*dl5_QED4
      coupl(nGC_2597) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_335) + Nc*&
                        coupl(nGC_343)*coupl(nGC_863) + Nc*coupl(nGC_346)*coupl&
                        (nGC_853) + Nc*coupl(nGC_364)*coupl(nGC_891) - Nc*coupl&
                        (nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_383) + coupl(nGC_352)*coupl(nGC_801) + coupl(      &
                        nGC_358)*coupl(nGC_905) + coupl(nGC_376)*coupl(nGC_819 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3934) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/  &
                        2d0 + coupl(nGC_3182)
      coupl(nGC_2611) = coupl(nGC_13)**2d0*coupl(nGC_863)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2610) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_863) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_863) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_344) - coupl(nGC_340)*coupl(nGC_371)* &
                        coupl(nGC_373) - coupl(nGC_342)**2d0*coupl(nGC_344) -  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371) - coupl(  &
                        nGC_344)*coupl(nGC_863)**2d0 - coupl(nGC_344)*coupl(   &
                        nGC_895)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2613) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2612) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_863) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_795) - coupl(nGC_341)**2d0*coupl(nGC_863) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_863) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_795) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_863))/(32d0*pi**2d0)
      coupl(nGC_2729) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_891) + coupl(  &
                        nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_368)*coupl(nGC_785) + coupl(nGC_210)*coupl(nGC_364 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3064) = coupl(nGC_1396)*db_QED2 + coupl(nGC_1397)*dyup1_QED3 + &
                        coupl(nGC_1398)*dyup2_QED3
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2728) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_847) + coupl(nGC_206)*coupl(nGC_363)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_891) + coupl(  &
                        nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_368)*coupl(nGC_785) + coupl(nGC_207)*coupl(nGC_334 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_4007) = coupl(nGC_201)*dZZ_QED2/4d0 + coupl(nGC_3045)/2d0 +    &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_4023) = coupl(nGC_3318) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_173_Hl) - coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3562) = -coupl(nGC_3113) - coupl(nGC_353)*dZHa_QED2/2d0 - coupl&
                        (nGC_353)*dZeMinusL_QED2/2d0 - coupl(nGC_353)*         &
                        dZeMinusR_QED2/2d0 - coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_3695) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZsL_QED2 + coupl(nGC_3185)
      coupl(nGC_3043) = coupl(nGC_1699)*dZee_QED2
      coupl(nGC_3859) = coupl(nGC_3133) + coupl(nGC_369)*dZtL_QCD2/2d0 + coupl(&
                        nGC_369)*dZtR_QCD2/2d0
      coupl(nGC_2476) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2471) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_895) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_863) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_817) + coupl(nGC_2)*coupl&
                        (nGC_370)**2d0 + coupl(nGC_2)*coupl(nGC_373)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2470) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*coupl&
                        (nGC_197)**2d0*coupl(nGC_2) + 3d0*coupl(nGC_197)**2d0* &
                        coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_3)*coupl(      &
                        nGC_847) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_817))/( &
                        24d0*pi**2d0)
      coupl(nGC_2473) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2472) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_895) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_863) + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3472) = coupl(nGC_3114) + coupl(nGC_359)*dZHa_QED2/2d0 + coupl(&
                        nGC_359)*dZmuMinusL_QED2/2d0 + coupl(nGC_359)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_3473) = -coupl(nGC_3114) - coupl(nGC_359)*dZHa_QED2/2d0 - coupl&
                        (nGC_359)*dZmuMinusL_QED2/2d0 - coupl(nGC_359)*        &
                        dZmuMinusR_QED2/2d0 - coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_3471) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3476) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3180)
      coupl(nGC_3477) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_3474) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3180)
      coupl(nGC_3475) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3678) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3679) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3727) = coupl(nGC_3090) + coupl(nGC_339)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_342)*dZHl_QED2/2d0 + coupl(nGC_342)*dZbL_QED2&
                        /2d0 + coupl(nGC_342)*dZbR_QED2/2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3675) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_3677) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_3145)
      coupl(nGC_3670) = -4d0*coupl(nGC_189)*dZWMinus_QED2 - 2d0*coupl(nGC_3161)
      coupl(nGC_3671) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_3161)
      coupl(nGC_3672) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3180)
      coupl(nGC_3673) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_2722) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_351)**2d0 + coupl(nGC_208)*coupl(nGC_353)*coupl(   &
                        nGC_801) + coupl(nGC_208)*coupl(nGC_354)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_356)*coupl(nGC_809) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2688) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC*&
                        coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363&
                        ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0)
      coupl(nGC_2689) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC* &
                        coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363&
                        ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_3847) = coupl(nGC_2998) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl( &
                        nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*dZHaG0_QED2&
                        /2d0
      coupl(nGC_3846) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_3845) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/  &
                        2d0 + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3149)
      coupl(nGC_3844) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_3843) = coupl(nGC_3297) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_3841) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*       &
                        dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZZ_QED2/2d0 + coupl(nGC_3163)
      coupl(nGC_3840) = coupl(nGC_3110) + coupl(nGC_351)*dZHl_QED2/2d0 + coupl(&
                        nGC_351)*dZeMinusL_QED2/2d0 + coupl(nGC_351)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_354)*dZHhHl_QED2/2d0
      coupl(nGC_4011) = coupl(nGC_3319) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0 - coupl&
                        (nGC_TS_GC_213_Hl) - coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_3362) = coupl(nGC_3103) + coupl(nGC_376)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_3048) = coupl(nGC_1767)*dZgs_QCD2
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3799) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_4055) = -coupl(nGC_2599)
      coupl(nGC_4054) = -coupl(nGC_2459)
      coupl(nGC_4053) = -coupl(nGC_2597)
      coupl(nGC_4052) = -coupl(nGC_2504)
      coupl(nGC_3018) = coupl(nGC_2183)*dvev2_QED1 + coupl(nGC_2184)*dvev1_QED1&
                         + coupl(nGC_2185)*dl2_QED4 + coupl(nGC_2186)*dl1_QED4 &
                         + coupl(nGC_2187)*dl4_QED4 + coupl(nGC_2188)*dl3_QED4 &
                         + coupl(nGC_2189)*da_QED2 + coupl(nGC_2190)*dl5_QED4
      coupl(nGC_3019) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dvev2_QED1 +   &
                        coupl(nGC_515)*da_QED2 + coupl(nGC_517)*dl2_QED4 +     &
                        coupl(nGC_519)*dl1_QED4 + coupl(nGC_521)*dl4_QED4 +    &
                        coupl(nGC_523)*dl3_QED4 + coupl(nGC_525)*dvev1_QED1 +  &
                        coupl(nGC_527)*dl5_QED4
      coupl(nGC_3153) = coupl(nGC_2273)*dZee_QED2 + coupl(nGC_2274)*dsw_QED2
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3521) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_29)*dZHMinus_QED2 + coupl(nGC_3041)
      coupl(nGC_3156) = coupl(nGC_1813)*dZee_QED2 + coupl(nGC_1814)*dcw_QED2 + &
                        coupl(nGC_1815)*dsw_QED2
      coupl(nGC_3010) = coupl(nGC_1620)*dZee_QED2 + coupl(nGC_1621)*da_QED2 +  &
                        coupl(nGC_1622)*dsw_QED2 + coupl(nGC_1623)*db_QED2
      coupl(nGC_3011) = coupl(nGC_2217)*dZee_QED2 + coupl(nGC_2218)*da_QED2 +  &
                        coupl(nGC_2219)*dsw_QED2 + coupl(nGC_2220)*db_QED2
      coupl(nGC_3012) = coupl(nGC_1511)*db_QED2 + coupl(nGC_1512)*dvev1_QED1 + &
                        coupl(nGC_1513)*dcw_QED2 + coupl(nGC_1514)*dZee_QED2 + &
                        coupl(nGC_1515)*dvev2_QED1
      coupl(nGC_3014) = coupl(nGC_1586)*db_QED2 + coupl(nGC_1587)*dvev2_QED1 + &
                        coupl(nGC_1588)*dvev1_QED1 + coupl(nGC_1589)*dl2_QED4  &
                         + coupl(nGC_1590)*dl1_QED4 + coupl(nGC_1591)*dl4_QED4 &
                         + coupl(nGC_1592)*dl3_QED4 + coupl(nGC_1593)*da_QED2  &
                         + coupl(nGC_1594)*dl5_QED4
      coupl(nGC_3015) = coupl(nGC_1337)*db_QED2 + coupl(nGC_1338)*dvev2_QED1 + &
                        coupl(nGC_1339)*dvev1_QED1 + coupl(nGC_1340)*dl2_QED4  &
                         + coupl(nGC_1341)*dl1_QED4 + coupl(nGC_1342)*dl4_QED4 &
                         + coupl(nGC_1343)*dl3_QED4 + coupl(nGC_1344)*da_QED2  &
                         + coupl(nGC_1345)*dl5_QED4
      coupl(nGC_3016) = coupl(nGC_2109)*dvev2_QED1 + coupl(nGC_2110)*dvev1_QED1&
                         + coupl(nGC_2111)*dl2_QED4 + coupl(nGC_2112)*dl1_QED4 &
                         + coupl(nGC_2113)*dl4_QED4 + coupl(nGC_2114)*dl3_QED4 &
                         + coupl(nGC_2115)*da_QED2 + coupl(nGC_2116)*dl5_QED4
      coupl(nGC_3017) = coupl(nGC_1946)*db_QED2 + coupl(nGC_1947)*dvev2_QED1 + &
                        coupl(nGC_1948)*dvev1_QED1 + coupl(nGC_1949)*dl2_QED4  &
                         + coupl(nGC_1950)*dl1_QED4 + coupl(nGC_1951)*dl4_QED4 &
                         + coupl(nGC_1952)*dl3_QED4 + coupl(nGC_1953)*da_QED2  &
                         + coupl(nGC_1954)*dl5_QED4
      coupl(nGC_2592) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2921) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_339)*coupl(&
                        nGC_342) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_345)*  &
                        coupl(nGC_348) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_209)*coupl(nGC_339)*coupl(nGC_342) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_363 &
                        )*coupl(nGC_366) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_333)*coupl(nGC_336) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369 &
                        )*coupl(nGC_372) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210 &
                        )*coupl(nGC_381)*coupl(nGC_384) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_339)*coupl(nGC_342) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_333)*coupl(nGC_336   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_369)*coupl(   &
                        nGC_372) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_381)*  &
                        coupl(nGC_384) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_351 &
                        )*coupl(nGC_354) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_375)*coupl(nGC_378) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_354) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_357)*coupl(nGC_360   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_375)*  &
                        coupl(nGC_378) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_351 &
                        )*coupl(nGC_354) - 4d0*coupl(nGC_211)**2d0*coupl(      &
                        nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_211)**2d0*coupl&
                        (nGC_375)*coupl(nGC_378))/(12d0*pi**2d0)
      coupl(nGC_2972) = coupl(nGC_2138)*db_QED2 + coupl(nGC_2139)*dl3_QED4 +   &
                        coupl(nGC_2140)*dl2_QED4 + coupl(nGC_2141)*dl1_QED4 +  &
                        coupl(nGC_2142)*dl4_QED4 + coupl(nGC_2143)*dl5_QED4 +  &
                        coupl(nGC_2144)*da_QED2
      coupl(nGC_2974) = coupl(nGC_2095)*db_QED2 + coupl(nGC_2096)*dl3_QED4 +   &
                        coupl(nGC_2097)*dl2_QED4 + coupl(nGC_2098)*dl1_QED4 +  &
                        coupl(nGC_2099)*dl4_QED4 + coupl(nGC_2100)*dl5_QED4 +  &
                        coupl(nGC_2101)*da_QED2
      coupl(nGC_2976) = coupl(nGC_2393)*db_QED2 + coupl(nGC_2394)*dl3_QED4 +   &
                        coupl(nGC_2395)*dl2_QED4 + coupl(nGC_2396)*dl1_QED4 +  &
                        coupl(nGC_2397)*dl4_QED4 + coupl(nGC_2398)*dl5_QED4
      coupl(nGC_2977) = coupl(nGC_2088)*db_QED2 + coupl(nGC_2089)*dl3_QED4 +   &
                        coupl(nGC_2090)*dl2_QED4 + coupl(nGC_2091)*dl1_QED4 +  &
                        coupl(nGC_2092)*dl4_QED4 + coupl(nGC_2093)*dl5_QED4 +  &
                        coupl(nGC_2094)*da_QED2
      coupl(nGC_3083) = coupl(nGC_1496)*dyd12x2_QED1_QCD2 + coupl(nGC_1498)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3082) = coupl(nGC_1496)*dyd12x2_QED3 + coupl(nGC_1497)*da_QED2 &
                         + coupl(nGC_1498)*dys2_QED3
      coupl(nGC_3081) = coupl(nGC_1363)*dydo2_QED1_QCD2 + coupl(nGC_1364)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_3839) = -coupl(nGC_201)*dZZA_QED2/4d0 - coupl(nGC_3042)/2d0 -  &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_3087) = coupl(nGC_1352)*dydo2_QED1_QCD2 + coupl(nGC_1353)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2705) = coupl(nGC_197)*(coupl(nGC_199)*coupl(nGC_212) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_211)*coupl(  &
                        nGC_847) + coupl(nGC_4)*coupl(nGC_817))/(16d0*pi**2d0)
      coupl(nGC_3089) = coupl(nGC_1490)*dyd12x2_QED1_QCD2 + coupl(nGC_1492)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3088) = coupl(nGC_1490)*dyd12x2_QED3 + coupl(nGC_1491)*da_QED2 &
                         + coupl(nGC_1492)*dys2_QED3
      coupl(nGC_3999) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(     &
                        nGC_TS_GC_236_Hl)
      coupl(nGC_3780) = -coupl(nGC_3092) - coupl(nGC_347)*dZHa_QED2/2d0 - coupl&
                        (nGC_347)*dZdL_QED2/2d0 - coupl(nGC_347)*dZdR_QED2/2d0 &
                         - coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_2979) = coupl(nGC_2269)*db_QED2 + coupl(nGC_2270)*dl5_QED4 +   &
                        coupl(nGC_2271)*dl4_QED4 + coupl(nGC_2272)*da_QED2
      coupl(nGC_3586) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_3006) + coupl(nGC_31)*   &
                        dZZA_QED2/2d0
      coupl(nGC_3027) = coupl(nGC_1955)*dvev2_QED1 + coupl(nGC_1956)*dvev1_QED1&
                         + coupl(nGC_1957)*dl2_QED4 + coupl(nGC_1958)*dl1_QED4 &
                         + coupl(nGC_1959)*dl4_QED4 + coupl(nGC_1960)*dl3_QED4 &
                         + coupl(nGC_1961)*da_QED2 + coupl(nGC_1962)*dl5_QED4
      coupl(nGC_3705) = coupl(nGC_3058) + coupl(nGC_370)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*   &
                        dZtR_QED2/2d0
      coupl(nGC_3706) = coupl(nGC_3059) + coupl(nGC_373)*dZbL_QCD2/2d0 + coupl(&
                        nGC_373)*dZtR_QCD2/2d0
      coupl(nGC_3707) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_3700) = -coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3701) = coupl(nGC_3111) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                        nGC_357)*dZmuMinusL_QED2/2d0 + coupl(nGC_357)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_3703) = coupl(nGC_3061) + coupl(nGC_340)*dZbR_QCD2/2d0 + coupl(&
                        nGC_340)*dZtL_QCD2/2d0
      coupl(nGC_3788) = -coupl(nGC_3078) - coupl(nGC_341)*dZbL_QED2/2d0 - coupl&
                        (nGC_341)*dZbR_QED2/2d0 - coupl(nGC_344)*dZHaG0_QED2/  &
                        2d0
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3708) = -coupl(nGC_199)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/ &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_3149)
      coupl(nGC_2545) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_895) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_895) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_341) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_374) - coupl(nGC_341)*coupl(nGC_342)**2d0 -  &
                        coupl(nGC_341)*coupl(nGC_863)**2d0 - coupl(nGC_341)*   &
                        coupl(nGC_895)**2d0 - coupl(nGC_343)*coupl(nGC_370)*   &
                        coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_3789) = -coupl(nGC_3079) - coupl(nGC_341)*dZbL_QCD2/2d0 - coupl&
                        (nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_3494) = coupl(nGC_28)*dZGMinus
      coupl(nGC_3495) = -coupl(nGC_184)*dZWMinus_QED2/2d0 - coupl(nGC_3145)
      coupl(nGC_3496) = -coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3497) = coupl(nGC_2968) + coupl(nGC_32)*dZHhHl_QED2 + coupl(   &
                        nGC_34)*dZGMinusHMinus_QED2 + coupl(nGC_40)*           &
                        dZHMinus_QED2 + coupl(nGC_40)*dZHl_QED2
      coupl(nGC_3491) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3492) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0 + &
                        coupl(nGC_3182)
      coupl(nGC_3493) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_187)*dZHa_QED2/2d0 +     &
                        coupl(nGC_187)*dZWMinus_QED2/2d0 + coupl(nGC_3006) +   &
                        coupl(nGC_31)*dZZA_QED2/2d0
      coupl(nGC_3499) = coupl(nGC_3050) + coupl(nGC_382)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_385)*dZdL_QED2/2d0 + coupl(nGC_385)*   &
                        dZuR_QED2/2d0
      coupl(nGC_3837) = coupl(nGC_257)*dZGMinus/2d0
      coupl(nGC_3913) = -coupl(nGC_3137) - coupl(nGC_335)*dZcL_QCD2/2d0 - coupl&
                        (nGC_335)*dZcR_QCD2/2d0
      coupl(nGC_3784) = coupl(nGC_3123) + coupl(nGC_384)*dZuL_QCD2/2d0 + coupl(&
                        nGC_384)*dZuR_QCD2/2d0
      coupl(nGC_3606) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*          &
                        dZHMinus_QED2 + coupl(nGC_221)*dZZ_QED2/2d0 + coupl(   &
                        nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*dZAZ_QED2/2d0 + &
                        coupl(nGC_3162)
      coupl(nGC_3834) = coupl(nGC_2973) + coupl(nGC_35)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
      coupl(nGC_3785) = coupl(nGC_3078) + coupl(nGC_341)*dZbL_QED2/2d0 + coupl(&
                        nGC_341)*dZbR_QED2/2d0 + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_2788) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(      &
                        nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**&
                        2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_817)**2d0*coupl(nGC_847)**2d0 + 2d0*coupl(nGC_199 &
                        )*coupl(nGC_205)*coupl(nGC_3) + 2d0*coupl(nGC_205)*    &
                        coupl(nGC_817)*coupl(nGC_847))/(8d0*pi**2d0)
      coupl(nGC_3831) = -coupl(nGC_214)*dZHa_QED2/2d0 - coupl(nGC_214)*        &
                        dZHh_QED2/2d0 - coupl(nGC_214)*dZZ_QED2/2d0 - coupl(   &
                        nGC_215)*dZG0Ha_QED2/2d0 - coupl(nGC_215)*dZHlHh_QED2/ &
                        2d0 - coupl(nGC_3166)
      coupl(nGC_2557) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_809) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_809) - coupl(nGC_354)**2d0*coupl(nGC_809 &
                        ) - coupl(nGC_356)**2d0*coupl(nGC_809) + 8d0*coupl(    &
                        nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2555) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_350) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_350) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_843) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_805) - coupl(nGC_347)**2d0*coupl(nGC_843) -  &
                        coupl(nGC_348)**2d0*coupl(nGC_843) - coupl(nGC_349)*   &
                        coupl(nGC_385)*coupl(nGC_805) - coupl(nGC_350)**2d0*   &
                        coupl(nGC_843))/(32d0*pi**2d0)
      coupl(nGC_2659) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC*&
                        coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366&
                        ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0)
      coupl(nGC_2658) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_865)**2d0 - coupl(nGC_905)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2550) = coupl(nGC_13)**2d0*coupl(nGC_897)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2551) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_338) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_338) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_897) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_785) - coupl(nGC_335)**2d0*coupl(nGC_897) -  &
                        coupl(nGC_336)**2d0*coupl(nGC_897) - coupl(nGC_337)*   &
                        coupl(nGC_367)*coupl(nGC_785) - coupl(nGC_338)**2d0*   &
                        coupl(nGC_897))/(32d0*pi**2d0)
      coupl(nGC_2655) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3029) = coupl(nGC_2041)*dvev2_QED1 + coupl(nGC_2042)*dvev1_QED1&
                         + coupl(nGC_2043)*dl2_QED4 + coupl(nGC_2044)*dl1_QED4 &
                         + coupl(nGC_2045)*dl4_QED4 + coupl(nGC_2046)*dl3_QED4 &
                         + coupl(nGC_2047)*da_QED2 + coupl(nGC_2048)*dl5_QED4
      coupl(nGC_2657) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2656) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_801)**2d0 - coupl(nGC_809)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2651) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2650) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) -  &
                        coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)**  &
                        2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2653) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) -  &
                        coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3028) = coupl(nGC_1679)*db_QED2 + coupl(nGC_1680)*dvev2_QED1 + &
                        coupl(nGC_1681)*dvev1_QED1 + coupl(nGC_1682)*dl2_QED4  &
                         + coupl(nGC_1683)*dl1_QED4 + coupl(nGC_1684)*dl4_QED4 &
                         + coupl(nGC_1685)*dl3_QED4 + coupl(nGC_1686)*da_QED2  &
                         + coupl(nGC_1687)*dl5_QED4
      coupl(nGC_3782) = -coupl(nGC_201)*dZWMinus_QED2/4d0 - coupl(nGC_3045)/2d0
      coupl(nGC_3783) = coupl(nGC_3122) + coupl(nGC_381)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_384)*dZHh_QED2/2d0 + coupl(nGC_384)*dZuL_QED2&
                        /2d0 + coupl(nGC_384)*dZuR_QED2/2d0
      coupl(nGC_2411) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0  &
                         + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc&
                        *coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl( &
                        nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2417) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0  &
                         + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc&
                        *coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl( &
                        nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_3564) = coupl(nGC_2994) + coupl(nGC_34)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_34)*dZHl_QED2 + coupl(nGC_40)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_45)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3589) = -coupl(nGC_218)*dZHMinus_QED2 - coupl(nGC_218)*dZZ_QED2&
                        /2d0 - coupl(nGC_26)*dZAZ_QED2/2d0 - coupl(nGC_3165)
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3060) = coupl(nGC_1555)*db_QED2 + coupl(nGC_1556)*dyd13x3_QED3 &
                         + coupl(nGC_1557)*dyb2_QED3
      coupl(nGC_2732) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_375)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_819) + coupl(  &
                        nGC_211)*coupl(nGC_378)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_380)*coupl(nGC_793) + coupl(nGC_212)*coupl(nGC_376 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_379)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3332) = coupl(nGC_186)*dZHMinus_QED2/2d0 + coupl(nGC_186)*     &
                        dZHa_QED2/2d0 + coupl(nGC_3007)
      coupl(nGC_3344) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_2957)
      coupl(nGC_2881) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343&
                        )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(    &
                        nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*   &
                        coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*    &
                        coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_3632) = coupl(nGC_3101) + coupl(nGC_352)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_352)*dZeMinusR_QED2/2d0 + coupl(nGC_352)*    &
                        dZnu_eL_QED2/2d0 + coupl(nGC_355)*dZGMinusHMinus_QED2/ &
                        2d0
      coupl(nGC_3633) = coupl(nGC_2989) + coupl(nGC_36)*dZHa_QED2 + coupl(     &
                        nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 +  &
                        coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*         &
                        dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
      coupl(nGC_3635) = coupl(nGC_243)*dZHlHh_QED2/2d0 + coupl(nGC_244)*       &
                        dZGMinusHMinus_QED2 + coupl(nGC_251)*dZHMinus_QED2 +   &
                        coupl(nGC_251)*dZHh_QED2/2d0 + coupl(nGC_3019) + coupl(&
                        nGC_TS_GC_32_Hl) + coupl(nGC_TS_GC_44_Hh)
      coupl(nGC_2886) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0  &
                         + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +   &
                        20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*  &
                        coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(    &
                        nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                        coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)**  &
                        2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0* &
                        coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(    &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl(&
                        nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(     &
                        nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(     &
                        nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(     &
                        nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*coupl( &
                        nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*coupl( &
                        nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(nGC_376 &
                        )**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3637) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZuL_QED2 + coupl(nGC_3184)
      coupl(nGC_3639) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZuR_QED2 + coupl(nGC_3183)
      coupl(nGC_2479) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_351  &
                        )**2d0 + coupl(nGC_353)*coupl(nGC_801) + coupl(nGC_354 &
                        )**2d0 + coupl(nGC_356)*coupl(nGC_809) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2593) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3367) = coupl(nGC_3300) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_351_Hl) + coupl(nGC_TS_GC_354_Hh)
      coupl(nGC_3803) = -coupl(nGC_3134) - coupl(nGC_383)*dZHa_QED2/2d0 - coupl&
                        (nGC_383)*dZuL_QED2/2d0 - coupl(nGC_383)*dZuR_QED2/2d0 &
                         - coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3802) = coupl(nGC_3135) + coupl(nGC_383)*dZuL_QCD2/2d0 + coupl(&
                        nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_3801) = coupl(nGC_3134) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                        nGC_383)*dZuL_QED2/2d0 + coupl(nGC_383)*dZuR_QED2/2d0  &
                         + coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3800) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*dZWMinus_QED2&
                         + coupl(nGC_3152)
      coupl(nGC_3807) = coupl(nGC_3128) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                        nGC_381)*dZuL_QED2/2d0 + coupl(nGC_381)*dZuR_QED2/2d0  &
                         + coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_3806) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_3805) = coupl(nGC_3296) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_3804) = -coupl(nGC_3135) - coupl(nGC_383)*dZuL_QCD2/2d0 - coupl&
                        (nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_2721) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_351)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_801) + coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_356)*coupl(nGC_809) + coupl(nGC_212)*coupl(nGC_352 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2720) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_345)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_853) + coupl(  &
                        nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_350)*coupl(nGC_843) + coupl(nGC_210)*coupl(nGC_346 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3809) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3808) = coupl(nGC_3129) + coupl(nGC_381)*dZuL_QCD2/2d0 + coupl(&
                        nGC_381)*dZuR_QCD2/2d0
      coupl(nGC_2725) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2724) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_357)**2d0 + coupl(nGC_208)*coupl(nGC_359)*coupl(   &
                        nGC_905) + coupl(nGC_208)*coupl(nGC_360)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_362)*coupl(nGC_865) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2727) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2726) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3965) = -coupl(nGC_213)*dZHl_QED2/2d0 - coupl(nGC_213)*dZZ_QED2&
                        /2d0 - coupl(nGC_215)*dZHaG0_QED2/2d0 - coupl(nGC_215)*&
                        dZHhHl_QED2/2d0 - coupl(nGC_3164)
      coupl(nGC_3961) = coupl(nGC_3082) + coupl(nGC_363)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_366)*dZHh_QED2/2d0 + coupl(nGC_366)*dZsL_QED2&
                        /2d0 + coupl(nGC_366)*dZsR_QED2/2d0
      coupl(nGC_3962) = coupl(nGC_3083) + coupl(nGC_366)*dZsL_QCD2/2d0 + coupl(&
                        nGC_366)*dZsR_QCD2/2d0
      coupl(nGC_3339) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/  &
                        2d0 + coupl(nGC_3010)
      coupl(nGC_2419) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(     &
                        nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(     &
                        nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl(&
                        nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(     &
                        nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(      &
                        nGC_357)*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3334) = coupl(nGC_3002) + coupl(nGC_54)*dZHMinus_QED2 + coupl( &
                        nGC_54)*dZHa_QED2/2d0 + coupl(nGC_64)*dZHaG0_QED2/2d0  &
                         + coupl(nGC_70)*dZG0Ha_QED2/2d0 + coupl(nGC_72)*      &
                        dZGMinusHMinus_QED2
      coupl(nGC_3337) = coupl(nGC_174)*dZHMinus_QED2/2d0 + coupl(nGC_174)*     &
                        dZHh_QED2/2d0 + coupl(nGC_181)*dZGMinusHMinus_QED2/2d0 &
                         + coupl(nGC_181)*dZHlHh_QED2/2d0 + coupl(nGC_3011)
      coupl(nGC_3336) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZeMinusR_QED2 + coupl(nGC_3188) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_3963) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(     &
                        nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_3442) = coupl(nGC_2972) + coupl(nGC_36)*dZHlHh_QED2 + coupl(   &
                        nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl( &
                        nGC_48)*dZHh_QED2
      coupl(nGC_3441) = coupl(nGC_228)*dZHMinus_QED2 + coupl(nGC_2955)
      coupl(nGC_3447) = coupl(nGC_2987) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl( &
                        nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*      &
                        dZHMinusGMinus_QED2
      coupl(nGC_3445) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*         &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHMinus_QED2/ &
                        2d0 + coupl(nGC_24)*dZHl_QED2/2d0 + coupl(nGC_2956)
      coupl(nGC_3444) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZHlHh_QED2/2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0 + coupl(&
                        nGC_3167)
      coupl(nGC_2837) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(     &
                        nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(&
                        nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364 &
                        )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336 &
                        )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_334&
                        )*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(   &
                        nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(&
                        nGC_339)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_340&
                        )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc&
                        *coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_372)*coupl(   &
                        nGC_373) + 10d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_345)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348 &
                        )*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346&
                        )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_382) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(&
                        nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl(&
                        nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(&
                        nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*coupl(     &
                        nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl(nGC_352 &
                        )*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl(nGC_357)* &
                        coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 10d0*   &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379))/(48d0*pi**2d0)
      coupl(nGC_2836) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl( &
                        nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)** &
                        2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(      &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366   &
                        ) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(   &
                        nGC_343) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)*  &
                        coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372)**2d0 + 5d0&
                        *Nc*coupl(nGC_346)*coupl(nGC_348)**2d0*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_384 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349 &
                        )*coupl(nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**2d0*    &
                        coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)* &
                        coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384) + 5d0*Nc* &
                        coupl(nGC_364)*coupl(nGC_366)**2d0*coupl(nGC_367) + 5d0&
                        *Nc*coupl(nGC_370)*coupl(nGC_372)**2d0*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)**2d0*coupl(   &
                        nGC_385) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_352)*coupl(&
                        nGC_354)**2d0*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl&
                        (nGC_360)**2d0*coupl(nGC_361) + 5d0*coupl(nGC_376)*    &
                        coupl(nGC_378)**2d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3528) = coupl(nGC_3115) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                        nGC_377)*dZtauMinusL_QED2/2d0 + coupl(nGC_377)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_3529) = -coupl(nGC_3115) - coupl(nGC_377)*dZHa_QED2/2d0 - coupl&
                        (nGC_377)*dZtauMinusL_QED2/2d0 - coupl(nGC_377)*       &
                        dZtauMinusR_QED2/2d0 - coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_3683) = coupl(nGC_213)*dZG0/2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
