!******************************************************************************!
!                                                                              !
!    ctparameter123.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter123.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter123
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter123()
  if (dZdL_QED2_scheme .eq. 0) then
    dZdL_QED2 = (2d0*Ten518*coupl(nGC_1)**2d0 + Ten519*(2d0*coupl(nGC_209)**2d0&
                 - coupl(nGC_350)**2d0) + Ten520*(2d0*coupl(nGC_197)**2d0 +    &
                coupl(nGC_385)**2d0) + Ten521*coupl(nGC_347)**2d0 - Ten522*    &
                coupl(nGC_345)**2d0 - Ten523*coupl(nGC_348)**2d0 + 2d0*Ten524* &
                coupl(nGC_1)**2d0 + Ten525*(2d0*coupl(nGC_209)**2d0 - coupl(   &
                nGC_350)**2d0) + Ten526*(2d0*coupl(nGC_197)**2d0 + coupl(      &
                nGC_385)**2d0) - Ten527*coupl(nGC_382)**2d0 + 2d0*Ten532*cMD** &
                2d0*coupl(nGC_347)**2d0 + 2d0*Ten533*cMD**2d0*coupl(nGC_345)** &
                2d0 + 2d0*Ten534*cMD**2d0*coupl(nGC_348)**2d0 - 4d0*Ten535*cMD &
                **2d0*coupl(nGC_1)**2d0 + 2d0*Ten536*cMD**2d0*(coupl(nGC_206)**&
                2d0 - 4d0*coupl(nGC_206)*coupl(nGC_209) + coupl(nGC_209)**2d0  &
                ) + Ten537*cMD*(2d0*cMD*coupl(nGC_197)**2d0 + cMD*coupl(nGC_349&
                )**2d0 + cMD*coupl(nGC_385)**2d0 + 2d0*cMU*coupl(nGC_349)*coupl&
                (nGC_385)) + 2d0*Ten538*cMD*cMU*coupl(nGC_346)*coupl(nGC_382   &
                ) + 2d0*Ten539*cMD**2d0*coupl(nGC_347)**2d0 - 2d0*Ten540*cMD** &
                2d0*coupl(nGC_345)**2d0 - 2d0*Ten541*cMD**2d0*coupl(nGC_348)** &
                2d0 + 4d0*Ten542*cMD**2d0*coupl(nGC_1)**2d0 + 2d0*Ten543*cMD** &
                2d0*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0 - coupl(nGC_350 &
                )**2d0) + Ten544*cMD**2d0*(2d0*coupl(nGC_197)**2d0 + coupl(    &
                nGC_349)**2d0 + coupl(nGC_385)**2d0) + Ten545*cMD**2d0*(-coupl(&
                nGC_346)**2d0 - coupl(nGC_382)**2d0) + pi**2d0*(-coupl(nGC_1)**&
                2d0/pi**2d0 - coupl(nGC_197)**2d0/pi**2d0 - coupl(nGC_209)**2d0&
                /pi**2d0))/(16d0*pi**2d0)
    dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter123
end module ctparameter123
