!******************************************************************************!
!                                                                              !
!    ctparameter155.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter155.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter155
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter155()
  dtHhHl_MDTS_fin_QED2 = cab*dtHl_MS_QED1*(-MHH**2d0*cab**2d0*tb + MHH**2d0*cab&
                         *sab*tb**2d0 - MHH**2d0*cab*sab + MHH**2d0*sab**2d0*tb&
                          - 2d0*MHL**2d0*cab**2d0*tb + 2d0*MHL**2d0*cab*sab*tb &
                         **2d0 - 2d0*MHL**2d0*cab*sab + 2d0*MHL**2d0*sab**2d0* &
                         tb + 2d0*MSB**2d0*cab**2d0*tb - 3d0*MSB**2d0*cab*sab* &
                         tb**2d0 + 3d0*MSB**2d0*cab*sab - 4d0*MSB**2d0*sab**2d0&
                         *tb)/(MHL**2d0*tb*vev) + cab*dtHl_QED1*(MHH**2d0*cab**&
                         2d0*tb - MHH**2d0*cab*sab*tb**2d0 + MHH**2d0*cab*sab  &
                          - MHH**2d0*sab**2d0*tb + 2d0*MHL**2d0*cab**2d0*tb -  &
                         2d0*MHL**2d0*cab*sab*tb**2d0 + 2d0*MHL**2d0*cab*sab - &
                         2d0*MHL**2d0*sab**2d0*tb - 2d0*MSB**2d0*cab**2d0*tb + &
                         3d0*MSB**2d0*cab*sab*tb**2d0 - 3d0*MSB**2d0*cab*sab + &
                         4d0*MSB**2d0*sab**2d0*tb)/(MHL**2d0*tb*vev) +         &
                         dtHh_MS_QED1*sab*(-2d0*MHH**2d0*cab**2d0*tb + 2d0*MHH &
                         **2d0*cab*sab*tb**2d0 - 2d0*MHH**2d0*cab*sab + 2d0*MHH&
                         **2d0*sab**2d0*tb - MHL**2d0*cab**2d0*tb + MHL**2d0*  &
                         cab*sab*tb**2d0 - MHL**2d0*cab*sab + MHL**2d0*sab**2d0&
                         *tb + 4d0*MSB**2d0*cab**2d0*tb - 3d0*MSB**2d0*cab*sab*&
                         tb**2d0 + 3d0*MSB**2d0*cab*sab - 2d0*MSB**2d0*sab**2d0&
                         *tb)/(MHH**2d0*tb*vev) + dtHh_QED1*sab*(2d0*MHH**2d0* &
                         cab**2d0*tb - 2d0*MHH**2d0*cab*sab*tb**2d0 + 2d0*MHH**&
                         2d0*cab*sab - 2d0*MHH**2d0*sab**2d0*tb + MHL**2d0*cab &
                         **2d0*tb - MHL**2d0*cab*sab*tb**2d0 + MHL**2d0*cab*sab&
                          - MHL**2d0*sab**2d0*tb - 4d0*MSB**2d0*cab**2d0*tb +  &
                         3d0*MSB**2d0*cab*sab*tb**2d0 - 3d0*MSB**2d0*cab*sab + &
                         2d0*MSB**2d0*sab**2d0*tb)/(MHH**2d0*tb*vev)
    if (.not. complex_mass_scheme) then
      dtHhHl_MDTS_fin_QED2 = cone*real(dtHhHl_MDTS_fin_QED2,kind=dp)
    end if 
end subroutine set_ctparameter155
end module ctparameter155
