!******************************************************************************!
!                                                                              !
!    ctparameter167.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter167.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter167
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter167()
  if (dME_QED2_scheme .eq. 0) then
    dME_QED2 = (2d0*Ten733*cME*coupl(nGC_4)**2d0 + Ten734*cME*(-coupl(nGC_208  &
               )**2d0 + 4d0*coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_211)**2d0&
               ) - Ten735*cME*coupl(nGC_353)**2d0 + Ten736*cME*coupl(nGC_351)**&
               2d0 + Ten737*cME*coupl(nGC_354)**2d0 - 2d0*Ten738*cME*coupl(    &
               nGC_4)**2d0 + Ten739*cME*(2d0*coupl(nGC_197)**2d0 + coupl(      &
               nGC_355)**2d0)/2d0 + Ten740*cME*coupl(nGC_352)**2d0/2d0 + Ten741&
               *cME*(-coupl(nGC_208)**2d0 - coupl(nGC_211)**2d0 + coupl(nGC_356&
               )**2d0) - Ten742*cME*coupl(nGC_353)**2d0 - Ten743*cME*coupl(    &
               nGC_351)**2d0 - Ten744*cME*coupl(nGC_354)**2d0 + pi**2d0*(cME*  &
               coupl(nGC_197)**2d0/(2d0*pi**2d0) + cME*coupl(nGC_208)**2d0/(2d0&
               *pi**2d0) - 2d0*cME*coupl(nGC_208)*coupl(nGC_211)/pi**2d0 + cME*&
               coupl(nGC_211)**2d0/(2d0*pi**2d0) - cME*coupl(nGC_4)**2d0/pi**  &
               2d0))/(16d0*pi**2d0) + cima*coupl(nGC_351)*dtHl_QED1/cMHL**2d0  &
                + cima*coupl(nGC_354)*dtHh_QED1/cMHH**2d0
    dME_QED2 = cone*real(dME_QED2,kind=dp)
  end if 
end subroutine set_ctparameter167
end module ctparameter167
