!******************************************************************************!
!                                                                              !
!    ctparameter177.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter177.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter177
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter177()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHL2_MS_QED2 = DeltaUV*(12d0*Nc*cMB**2d0*coupl(nGC_342)**2d0 + 12d0*Nc*cMC**&
                  2d0*coupl(nGC_333)**2d0 + 12d0*Nc*cMD**2d0*coupl(nGC_345)**  &
                  2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_333)**2d0 - 2d0*Nc*cMHL**2d0&
                  *coupl(nGC_342)**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_345)**2d0  &
                   - 2d0*Nc*cMHL**2d0*coupl(nGC_363)**2d0 - 2d0*Nc*cMHL**2d0*  &
                  coupl(nGC_369)**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_381)**2d0 + &
                  12d0*Nc*cMS**2d0*coupl(nGC_363)**2d0 + 12d0*Nc*cMT**2d0*coupl&
                  (nGC_369)**2d0 + 12d0*Nc*cMU**2d0*coupl(nGC_381)**2d0 + 12d0*&
                  cME**2d0*coupl(nGC_351)**2d0 + cima*cMHA**2d0*coupl(nGC_145)/&
                  2d0 + cima*cMHC**2d0*coupl(nGC_144) + cima*cMHH**2d0*coupl(  &
                  nGC_20)/2d0 - 8d0*cMHL**2d0*coupl(nGC_172)*coupl(nGC_173) -  &
                  8d0*cMHL**2d0*coupl(nGC_178)*coupl(nGC_179) + cima*cMHL**2d0*&
                  coupl(nGC_18)/2d0 - 4d0*cMHL**2d0*coupl(nGC_213)**2d0 - 4d0* &
                  cMHL**2d0*coupl(nGC_215)**2d0 - 2d0*cMHL**2d0*coupl(nGC_351  &
                  )**2d0 - 2d0*cMHL**2d0*coupl(nGC_357)**2d0 - 2d0*cMHL**2d0*  &
                  coupl(nGC_375)**2d0 + 12d0*cMM**2d0*coupl(nGC_357)**2d0 +    &
                  12d0*cMTA**2d0*coupl(nGC_375)**2d0 + cima*cMW**2d0*coupl(    &
                  nGC_109) - 2d0*cima*cMW**2d0*coupl(nGC_76) - 4d0*cima*cMW**  &
                  2d0*coupl(nGC_77) + cima*cMZ**2d0*coupl(nGC_111)/2d0 - cima* &
                  cMZ**2d0*coupl(nGC_223) - 2d0*cima*cMZ**2d0*coupl(nGC_224) - &
                  coupl(nGC_233)**2d0/2d0 - coupl(nGC_234)**2d0/2d0 - coupl(   &
                  nGC_236)**2d0 + 2d0*coupl(nGC_260)**2d0 - 4d0*coupl(nGC_261  &
                  )**2d0 - coupl(nGC_291)**2d0 - coupl(nGC_292)**2d0/2d0 -     &
                  coupl(nGC_299)**2d0 - coupl(nGC_300)**2d0/2d0 - 2d0*coupl(   &
                  nGC_307)**2d0 - coupl(nGC_308)**2d0 + coupl(nGC_328)**2d0 -  &
                  2d0*coupl(nGC_329)**2d0)/(16d0*pi**2d0) + cima*coupl(nGC_234 &
                  )*dtHl_MS_QED1/cMHL**2d0 + cima*coupl(nGC_236)*dtHh_MS_QED1/ &
                  cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHL2_MS_QED2 = cone*real(dMHL2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter177
end module ctparameter177
