!******************************************************************************!
!                                                                              !
!    ctparameter61.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter61.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter61
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter61()
  V_Hvv_db_T2_QED3 = (-8d0*pi**2d0*Ten1030*cMHC**2d0*cb*ee**3d0*sa/(cMW*sb*sw**&
                     3d0) + 4d0*pi**2d0*Ten1031*cMHH**2d0*ee**3d0*sa**2d0*(ca* &
                     sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten1032&
                     *cMHL**2d0*ca*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*cw**2d0*sb*&
                     sw**3d0) - 8d0*pi**2d0*Ten1033*cMHC**2d0*cb*ee**3d0*sa/(  &
                     cMW*sb*sw**3d0) + 4d0*pi**2d0*Ten1034*cMHH**2d0*ee**3d0*sa&
                     **2d0*(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi** &
                     2d0*Ten1035*cMHL**2d0*ca*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*&
                     cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten1036*cMHA**2d0*cb**  &
                     2d0*ee**3d0*(-ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) +   &
                     8d0*pi**2d0*Ten1037*cMHC**2d0*cb**2d0*ee**3d0*(-ca*sb + cb&
                     *sa)/(cMW*sb*sw**3d0) + 8d0*pi**2d0*Ten1038*cMHC**2d0*cb**&
                     2d0*ee**3d0*(-ca*sb + cb*sa)/(cMW*sb*sw**3d0) + 16d0*pi** &
                     2d0*Ten1039*cMW*cb*ee**3d0*(cMHH**2d0*ca*cb + cMHH**2d0*sa&
                     *sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*&
                     sw**3d0) + 4d0*pi**2d0*Ten1040*cMHA**2d0*cb**2d0*ee**3d0  &
                     *(-ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*pi**2d0* &
                     Ten1041*cMW*cb*ee**3d0*(cMHH**2d0*ca*cb*cw**2d0 + cMHH**  &
                     2d0*cw**2d0*sa*sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa* &
                     sb)/(cMHH**2d0*cw**6d0*sw**3d0) + 32d0*pi**2d0*Ten1042*cMW&
                     *cb*ee**3d0*(-ca*cb*sb + cb**2d0*sa - sa)/(cMHH**2d0*sb*sw&
                     **3d0) + 16d0*pi**2d0*Ten1043*cMW*cb*ee**3d0*(-ca*cb - sa*&
                     sb)/(cMHH**2d0*cw**4d0*sw**3d0) + 8d0*pi**2d0*Ten1044*cb* &
                     ee**3d0*sa/(cMW*sb*sw**3d0) + 4d0*pi**2d0*Ten1045*ee**3d0*&
                     sa**2d0*(-ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi&
                     **2d0*Ten1046*ee**3d0*sa*(ca*sa*sb - cb*sa**2d0 + cb)/(cMW&
                     *cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten1047*cb**2d0*ee**3d0&
                     *(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*pi**2d0*  &
                     Ten1048*cb**2d0*ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0   &
                     ) + 8d0*pi**2d0*Ten1049*cb**2d0*ee**3d0*(ca*sb - cb*sa)/( &
                     cMW*sb*sw**3d0) + 16d0*pi**2d0*Ten1050*cb*ee**3d0*(-cMHH**&
                     2d0*ca*cb - cMHH**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW&
                     **2d0*sa*sb)/(cMHH**2d0*cMW*sw**3d0) + 4d0*pi**2d0*Ten1051&
                     *cb**2d0*ee**3d0*(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0  &
                     ) + 8d0*pi**2d0*Ten1052*cb*ee**3d0*(-cMHH**2d0*ca*cb*cw** &
                     2d0 - cMHH**2d0*cw**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0* &
                     cMW**2d0*sa*sb)/(cMHH**2d0*cMW*cw**4d0*sw**3d0) + 4d0*pi**&
                     2d0*Ten411*ee**3d0*sa*(ca*sa*sb - cb*sa**2d0 + cb)/(cMW*cw&
                     **2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten412*ee**3d0*sa**2d0*(- &
                     ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*pi**2d0*    &
                     Ten424*cb*ee**3d0*sa/(cMW*sb*sw**3d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      V_Hvv_db_T2_QED3 = cone*real(V_Hvv_db_T2_QED3,kind=dp)
    end if 
end subroutine set_ctparameter61
end module ctparameter61
