!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  dalZ_QED2 = (16d0*pi*Nc*Ten1027*aEW*(2d0*MD**2d0 + rMZ**2d0)/(27d0*rMZ**2d0  &
              ) + 16d0*pi*Nc*Ten1028*aEW*(2d0*MS**2d0 + rMZ**2d0)/(27d0*rMZ**  &
              2d0) + 64d0*pi*Nc*Ten1029*aEW*(2d0*MU**2d0 + rMZ**2d0)/(27d0*rMZ &
              **2d0) + 16d0*pi*Nc*Ten731*aEW*(2d0*MB**2d0 + rMZ**2d0)/(27d0*rMZ&
              **2d0) + 64d0*pi*Nc*Ten732*aEW*(2d0*MC**2d0 + rMZ**2d0)/(27d0*rMZ&
              **2d0) + 64d0*pi*Nc*Ten896*aEW*(-2d0*MU**2d0 - rMZ**2d0)/(27d0*  &
              rMZ**2d0) + 64d0*pi*Nc*Ten897*aEW*(-2d0*MC**2d0 - rMZ**2d0)/(27d0&
              *rMZ**2d0) + 16d0*pi*Nc*Ten899*aEW*(-2d0*MD**2d0 - rMZ**2d0)/(   &
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten900*aEW*(-2d0*MS**2d0 - rMZ**2d0  &
              )/(27d0*rMZ**2d0) + 16d0*pi*Nc*Ten901*aEW*(-2d0*MB**2d0 - rMZ**  &
              2d0)/(27d0*rMZ**2d0) + 16d0*pi*Ten1024*aEW*(2d0*ME**2d0 + rMZ**  &
              2d0)/(3d0*rMZ**2d0) + 16d0*pi*Ten1025*aEW*(2d0*MM**2d0 + rMZ**2d0&
              )/(3d0*rMZ**2d0) + 16d0*pi*Ten1026*aEW*(2d0*MTA**2d0 + rMZ**2d0  &
              )/(3d0*rMZ**2d0) + 16d0*pi*Ten893*aEW*(-2d0*ME**2d0 - rMZ**2d0)/(&
              3d0*rMZ**2d0) + 16d0*pi*Ten894*aEW*(-2d0*MM**2d0 - rMZ**2d0)/(3d0&
              *rMZ**2d0) + 16d0*pi*Ten895*aEW*(-2d0*MTA**2d0 - rMZ**2d0)/(3d0* &
              rMZ**2d0) + pi**2d0*(176d0*Nc*aEW/(81d0*pi) + 16d0*aEW/(3d0*pi   &
              )))/(16d0*pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter70
end module ctparameter70
