!******************************************************************************!
!                                                                              !
!    ctparameter85.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter85.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter85
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter85()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten482*cMU*coupl(nGC_2)**2d0 + Ten483*cMU*(-coupl(nGC_207  &
               )**2d0 + 4d0*coupl(nGC_207)*coupl(nGC_210) - coupl(nGC_210)**2d0&
               ) + Ten484*(-cMD*coupl(nGC_349)*coupl(nGC_385) - cMU*coupl(     &
               nGC_197)**2d0 - cMU*coupl(nGC_349)**2d0/2d0 - cMU*coupl(nGC_385 &
               )**2d0/2d0) - Ten485*cMU*coupl(nGC_383)**2d0 + Ten486*cMU*coupl(&
               nGC_384)**2d0 + Ten487*cMU*coupl(nGC_381)**2d0 - 2d0*Ten488*cMU*&
               coupl(nGC_2)**2d0 + Ten489*cMU*(-coupl(nGC_207)**2d0 - coupl(   &
               nGC_210)**2d0 + coupl(nGC_386)**2d0) + Ten490*cMU*(-2d0*coupl(  &
               nGC_197)**2d0 - coupl(nGC_349)**2d0 - coupl(nGC_385)**2d0)/2d0  &
                + Ten491*cMU*(coupl(nGC_346)**2d0 + coupl(nGC_382)**2d0)/2d0 - &
               Ten492*cMU*coupl(nGC_383)**2d0 - Ten493*cMU*coupl(nGC_384)**2d0 &
                - Ten494*cMU*coupl(nGC_381)**2d0 - Ten495*cMD*coupl(nGC_346)*  &
               coupl(nGC_382) + pi**2d0*(cMU*coupl(nGC_197)**2d0/(2d0*pi**2d0  &
               ) - cMU*coupl(nGC_2)**2d0/pi**2d0 + cMU*coupl(nGC_207)**2d0/(2d0&
               *pi**2d0) - 2d0*cMU*coupl(nGC_207)*coupl(nGC_210)/pi**2d0 + cMU*&
               coupl(nGC_210)**2d0/(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(&
               nGC_381)*dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_384)*dtHh_QED1/   &
               cMHH**2d0
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter85
end module ctparameter85
