!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dcab_QED2 = -da_QED2*sab + db_QED2*sab
  dydo2_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw* &
                    tb)
  dydo2_QED3 = sqrt(2d0)*cMD*dZee_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw* &
               tb) - sqrt(2d0)*cMD*db_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*&
               sw*tb**2d0) + sqrt(2d0)*cMD*dMW2_QED2*ee*h2d*(-2d0*sw**2d0 + 1d0&
               )*sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMD*&
               dMZ2_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -  &
               1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMD_QED2*ee*h2d*sqrt(&
               tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dydo1_QED3 = sqrt(2d0)*cMD*dZee_QED2*ee*h1d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw  &
               ) + sqrt(2d0)*cMD*db_QED2*ee*h1d*tb*sqrt(tb**2d0 + 1d0)/(2d0*cMW&
               *sw) + sqrt(2d0)*cMD*dMW2_QED2*ee*h1d*(-2d0*sw**2d0 + 1d0)*sqrt(&
               tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMD*dMZ2_QED2*&
               ee*h1d*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0* &
               cMW**3d0*sw**3d0) + sqrt(2d0)*dMD_QED2*ee*h1d*sqrt(tb**2d0 + 1d0&
               )/(2d0*cMW*sw)
  dydo1_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*ee*h1d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dvev1_QED1 = -2d0*cMW*dZee_QED2*sw/(ee*sqrt(tb**2d0 + 1d0)) - 2d0*cMW*db_QED2&
               *sw*tb/(ee*sqrt(tb**2d0 + 1d0)) + cw**4d0*dMZ2_QED2/(cMW*ee*sw* &
               sqrt(tb**2d0 + 1d0)) + dMW2_QED2*(-cw**2d0 + sw**2d0)/(cMW*ee*sw&
               *sqrt(tb**2d0 + 1d0))
  dvev2_QED1 = -2d0*cMW*dZee_QED2*sw*tb/(ee*sqrt(tb**2d0 + 1d0)) + 2d0*cMW*    &
               db_QED2*sw/(ee*sqrt(tb**2d0 + 1d0)) + cw**4d0*dMZ2_QED2*tb/(cMW*&
               ee*sw*sqrt(tb**2d0 + 1d0)) + dMW2_QED2*tb*(-cw**2d0 + sw**2d0)/(&
               cMW*ee*sw*sqrt(tb**2d0 + 1d0))
  dg1_QED3 = -dZee_QED2*ee/(2d0*cw) - cw*dMZ2_QED2*ee/(4d0*cMW**2d0) +         &
             dMW2_QED2*ee/(4d0*cMW**2d0*cw)
  dyt1_QED3 = sqrt(2d0)*cMT*dZee_QED2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw   &
              ) + sqrt(2d0)*cMT*db_QED2*ee*h1u*tb*sqrt(tb**2d0 + 1d0)/(2d0*cMW*&
              sw) + sqrt(2d0)*cMT*dMW2_QED2*ee*h1u*(-2d0*sw**2d0 + 1d0)*sqrt(tb&
              **2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMT*dMZ2_QED2*ee*&
              h1u*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**&
              3d0*sw**3d0) + sqrt(2d0)*dMT_QED2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0&
              *cMW*sw)
  dyt1_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dyt2_QED3 = sqrt(2d0)*cMT*dZee_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb&
              ) - sqrt(2d0)*cMT*db_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*&
              tb**2d0) + sqrt(2d0)*cMT*dMW2_QED2*ee*h2u*(-2d0*sw**2d0 + 1d0)*  &
              sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMT*   &
              dMZ2_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -   &
              1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMT_QED2*ee*h2u*sqrt( &
              tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dyt2_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dMPA_QED2 = sqrt(2d0)*dMHA2_QED2/(4d0*cMHA)
  dMPC_QED2 = sqrt(2d0)*dMHC2_QED2/(4d0*cMHC)
  dm12_QED2 = MSB**2d0*db_QED2*(-tb**2d0 + 1d0)/(tb**2d0 + 1d0) + dMSB2_QED2*tb&
              /(tb**2d0 + 1d0)
  dyc1_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dyc1_QED3 = sqrt(2d0)*cMC*dZee_QED2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw   &
              ) + sqrt(2d0)*cMC*db_QED2*ee*h1u*tb*sqrt(tb**2d0 + 1d0)/(2d0*cMW*&
              sw) + sqrt(2d0)*cMC*dMW2_QED2*ee*h1u*(-2d0*sw**2d0 + 1d0)*sqrt(tb&
              **2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMC*dMZ2_QED2*ee*&
              h1u*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**&
              3d0*sw**3d0) + sqrt(2d0)*dMC_QED2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0&
              *cMW*sw)
  dyc2_QED3 = sqrt(2d0)*cMC*dZee_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb&
              ) - sqrt(2d0)*cMC*db_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*&
              tb**2d0) + sqrt(2d0)*cMC*dMW2_QED2*ee*h2u*(-2d0*sw**2d0 + 1d0)*  &
              sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMC*   &
              dMZ2_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -   &
              1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMC_QED2*ee*h2u*sqrt( &
              tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dyc2_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dm11_QED2 = dMHH2_QED2*(cab*sab*tb**3d0 + cab*sab*tb + sab**2d0*tb**2d0 + sab&
              **2d0 - tb**2d0 - 1d0)/(2d0*(tb**2d0 + 1d0)) + dMHL2_QED2*sab*(- &
              cab*tb**3d0 - cab*tb - sab*tb**2d0 - sab)/(2d0*(tb**2d0 + 1d0    &
              )) + dMSB2_QED2*tb**2d0/(tb**2d0 + 1d0) + da_QED2*(2d0*cMHH**2d0*&
              cab**2d0*tb**3d0 + 2d0*cMHH**2d0*cab**2d0*tb + 2d0*cMHH**2d0*cab*&
              sab*tb**2d0 + 2d0*cMHH**2d0*cab*sab - cMHH**2d0*tb**3d0 - cMHH** &
              2d0*tb - 2d0*cMHL**2d0*cab**2d0*tb**3d0 - 2d0*cMHL**2d0*cab**2d0*&
              tb - 2d0*cMHL**2d0*cab*sab*tb**2d0 - 2d0*cMHL**2d0*cab*sab + cMHL&
              **2d0*tb**3d0 + cMHL**2d0*tb)/(2d0*(tb**2d0 + 1d0)) + db_QED2*(  &
              4d0*MSB**2d0*tb - cMHH**2d0*cab**2d0*tb**3d0 - cMHH**2d0*cab**2d0&
              *tb + cMHH**2d0*cab*sab*tb**4d0 - cMHH**2d0*cab*sab + cMHH**2d0* &
              sab**2d0*tb**3d0 + cMHH**2d0*sab**2d0*tb + cMHL**2d0*cab**2d0*tb &
              **3d0 + cMHL**2d0*cab**2d0*tb - cMHL**2d0*cab*sab*tb**4d0 + cMHL &
              **2d0*cab*sab - cMHL**2d0*sab**2d0*tb**3d0 - cMHL**2d0*sab**2d0* &
              tb)/(2d0*(tb**2d0 + 1d0))
  dsw_QED2 = cw**4d0*dMZ2_QED2/(2d0*cMW**2d0*sw) - cw**2d0*dMW2_QED2/(2d0*cMW**&
             2d0*sw)
  dye2_QED3 = sqrt(2d0)*cME*dZee_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb&
              ) - sqrt(2d0)*cME*db_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*&
              tb**2d0) + sqrt(2d0)*cME*dMW2_QED2*ee*h2l*(-2d0*sw**2d0 + 1d0)*  &
              sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cME*   &
              dMZ2_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -   &
              1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dME_QED2*ee*h2l*sqrt( &
              tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dye1_QED3 = sqrt(2d0)*cME*dZee_QED2*ee*h1l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw   &
              ) + sqrt(2d0)*cME*db_QED2*ee*h1l*tb*sqrt(tb**2d0 + 1d0)/(2d0*cMW*&
              sw) + sqrt(2d0)*cME*dMW2_QED2*ee*h1l*(-2d0*sw**2d0 + 1d0)*sqrt(tb&
              **2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cME*dMZ2_QED2*ee*&
              h1l*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**&
              3d0*sw**3d0) + sqrt(2d0)*dME_QED2*ee*h1l*sqrt(tb**2d0 + 1d0)/(2d0&
              *cMW*sw)
  dyup2_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw* &
                    tb)
  dyup2_QED3 = sqrt(2d0)*cMU*dZee_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw* &
               tb) - sqrt(2d0)*cMU*db_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*&
               sw*tb**2d0) + sqrt(2d0)*cMU*dMW2_QED2*ee*h2u*(-2d0*sw**2d0 + 1d0&
               )*sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMU*&
               dMZ2_QED2*ee*h2u*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -  &
               1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMU_QED2*ee*h2u*sqrt(&
               tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dyup1_QED3 = sqrt(2d0)*cMU*dZee_QED2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw  &
               ) + sqrt(2d0)*cMU*db_QED2*ee*h1u*tb*sqrt(tb**2d0 + 1d0)/(2d0*cMW&
               *sw) + sqrt(2d0)*cMU*dMW2_QED2*ee*h1u*(-2d0*sw**2d0 + 1d0)*sqrt(&
               tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMU*dMZ2_QED2*&
               ee*h1u*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0* &
               cMW**3d0*sw**3d0) + sqrt(2d0)*dMU_QED2*ee*h1u*sqrt(tb**2d0 + 1d0&
               )/(2d0*cMW*sw)
  dyup1_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*ee*h1u*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dym2_QED3 = sqrt(2d0)*cMM*dZee_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb&
              ) - sqrt(2d0)*cMM*db_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*&
              tb**2d0) + sqrt(2d0)*cMM*dMW2_QED2*ee*h2l*(-2d0*sw**2d0 + 1d0)*  &
              sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMM*   &
              dMZ2_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -   &
              1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMM_QED2*ee*h2l*sqrt( &
              tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dym1_QED3 = sqrt(2d0)*cMM*dZee_QED2*ee*h1l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw   &
              ) + sqrt(2d0)*cMM*db_QED2*ee*h1l*tb*sqrt(tb**2d0 + 1d0)/(2d0*cMW*&
              sw) + sqrt(2d0)*cMM*dMW2_QED2*ee*h1l*(-2d0*sw**2d0 + 1d0)*sqrt(tb&
              **2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMM*dMZ2_QED2*ee*&
              h1l*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**&
              3d0*sw**3d0) + sqrt(2d0)*dMM_QED2*ee*h1l*sqrt(tb**2d0 + 1d0)/(2d0&
              *cMW*sw)
  dsw2_QED2 = cw**4d0*dMZ2_QED2/cMW**2d0 - cw**2d0*dMW2_QED2/cMW**2d0
  dl4_QED4 = dMHA2_QED2*ee**2d0/(4d0*cMW**2d0*sw**2d0) - dMHC2_QED2*ee**2d0/(  &
             2d0*cMW**2d0*sw**2d0) + dMSB2_QED2*ee**2d0/(4d0*cMW**2d0*sw**2d0  &
             ) + dZee_QED2*ee**2d0*(MSB**2d0 + cMHA**2d0 - 2d0*cMHC**2d0)/(2d0*&
             cMW**2d0*sw**2d0) + cw**4d0*dMZ2_QED2*ee**2d0*(-MSB**2d0 - cMHA** &
             2d0 + 2d0*cMHC**2d0)/(4d0*cMW**4d0*sw**4d0) + dMW2_QED2*ee**2d0*( &
             MSB**2d0*cw**2d0 - MSB**2d0*sw**2d0 + cMHA**2d0*cw**2d0 - cMHA**  &
             2d0*sw**2d0 - 2d0*cMHC**2d0*cw**2d0 + 2d0*cMHC**2d0*sw**2d0)/(4d0*&
             cMW**4d0*sw**4d0)
  dsab_QED2 = cab*da_QED2 - cab*db_QED2
  dgw_QED3 = dZee_QED2*ee/sw - cw**4d0*dMZ2_QED2*ee/(2d0*cMW**2d0*sw**3d0) + cw&
             **2d0*dMW2_QED2*ee/(2d0*cMW**2d0*sw**3d0)
  dcw_QED2 = cw*dMW2_QED2/(2d0*cMW**2d0) + cw*dMZ2_QED2*(sw**2d0 - 1d0)/(2d0*  &
             cMW**2d0)
  dyd12x2_QED3 = sqrt(2d0)*cMS*dZee_QED2*ee*h1d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw&
                 ) + sqrt(2d0)*cMS*db_QED2*ee*h1d*tb*sqrt(tb**2d0 + 1d0)/(2d0* &
                 cMW*sw) + sqrt(2d0)*cMS*dMW2_QED2*ee*h1d*(-2d0*sw**2d0 + 1d0)*&
                 sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMS*   &
                 dMZ2_QED2*ee*h1d*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0  &
                  - 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*dMS_QED2*ee*h1d*   &
                 sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dyd12x2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*ee*h1d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dyb2_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dyb2_QED3 = sqrt(2d0)*cMB*dZee_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb&
              ) - sqrt(2d0)*cMB*db_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*&
              tb**2d0) + sqrt(2d0)*cMB*dMW2_QED2*ee*h2d*(-2d0*sw**2d0 + 1d0)*  &
              sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMB*   &
              dMZ2_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -   &
              1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMB_QED2*ee*h2d*sqrt( &
              tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dm22_QED2 = cab*dMHH2_QED2*(-cab*tb**3d0 - cab*tb - sab*tb**2d0 - sab)/(2d0* &
              tb*(tb**2d0 + 1d0)) + dMHL2_QED2*sab*(cab*tb**2d0 + cab - sab*tb &
              **3d0 - sab*tb)/(2d0*tb*(tb**2d0 + 1d0)) + dMSB2_QED2/(tb**2d0 + &
              1d0) + da_QED2*(-cMHH**2d0*cab**2d0*tb**2d0 - cMHH**2d0*cab**2d0 &
               + 2d0*cMHH**2d0*cab*sab*tb**3d0 + 2d0*cMHH**2d0*cab*sab*tb +    &
              cMHH**2d0*sab**2d0*tb**2d0 + cMHH**2d0*sab**2d0 + cMHL**2d0*cab**&
              2d0*tb**2d0 + cMHL**2d0*cab**2d0 - 2d0*cMHL**2d0*cab*sab*tb**3d0 &
               - 2d0*cMHL**2d0*cab*sab*tb - cMHL**2d0*sab**2d0*tb**2d0 - cMHL**&
              2d0*sab**2d0)/(2d0*tb*(tb**2d0 + 1d0)) + db_QED2*(-4d0*MSB**2d0* &
              tb**3d0 + cMHH**2d0*cab**2d0*tb**3d0 + cMHH**2d0*cab**2d0*tb -   &
              cMHH**2d0*cab*sab*tb**4d0 + cMHH**2d0*cab*sab - cMHH**2d0*sab**  &
              2d0*tb**3d0 - cMHH**2d0*sab**2d0*tb - cMHL**2d0*cab**2d0*tb**3d0 &
               - cMHL**2d0*cab**2d0*tb + cMHL**2d0*cab*sab*tb**4d0 - cMHL**2d0*&
              cab*sab + cMHL**2d0*sab**2d0*tb**3d0 + cMHL**2d0*sab**2d0*tb)/(  &
              2d0*tb**2d0*(tb**2d0 + 1d0))
  dytau1_QED3 = sqrt(2d0)*cMTA*dZee_QED2*ee*h1l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw&
                ) + sqrt(2d0)*cMTA*db_QED2*ee*h1l*tb*sqrt(tb**2d0 + 1d0)/(2d0* &
                cMW*sw) + sqrt(2d0)*cMTA*dMW2_QED2*ee*h1l*(-2d0*sw**2d0 + 1d0)*&
                sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMTA*   &
                dMZ2_QED2*ee*h1l*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 - &
                1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*dMTA_QED2*ee*h1l*sqrt( &
                tb**2d0 + 1d0)/(2d0*cMW*sw)
  dtb_QED2 = db_QED2*(tb**2d0 + 1d0)
  dMPS_QED2 = sqrt(2d0)*dMHH2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0)) + sqrt(2d0&
              )*dMHL2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0))
  dytau2_QED3 = sqrt(2d0)*cMTA*dZee_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw&
                *tb) - sqrt(2d0)*cMTA*db_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0* &
                cMW*sw*tb**2d0) + sqrt(2d0)*cMTA*dMW2_QED2*ee*h2l*(-2d0*sw**2d0&
                 + 1d0)*sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(  &
                2d0)*cMTA*dMZ2_QED2*ee*h2l*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*&
                sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMTA_QED2*&
                ee*h2l*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dys2_QED3 = sqrt(2d0)*cMS*dZee_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb&
              ) - sqrt(2d0)*cMS*db_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*&
              tb**2d0) + sqrt(2d0)*cMS*dMW2_QED2*ee*h2d*(-2d0*sw**2d0 + 1d0)*  &
              sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*cMS*   &
              dMZ2_QED2*ee*h2d*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0 -   &
              1d0)/(4d0*cMW**3d0*sw**3d0*tb) + sqrt(2d0)*dMS_QED2*ee*h2d*sqrt( &
              tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dys2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*ee*h2d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw*tb)
  dl3_QED4 = dMHC2_QED2*ee**2d0/(2d0*cMW**2d0*sw**2d0) + dMHH2_QED2*ee**2d0*(  &
             cab**2d0*tb - cab*sab*tb**2d0 + cab*sab - sab**2d0*tb)/(4d0*cMW** &
             2d0*sw**2d0*tb) + dMHL2_QED2*ee**2d0*(-cab**2d0*tb + cab*sab*tb** &
             2d0 - cab*sab + sab**2d0*tb)/(4d0*cMW**2d0*sw**2d0*tb) -          &
             dMSB2_QED2*ee**2d0/(4d0*cMW**2d0*sw**2d0) + dZee_QED2*ee**2d0*(-  &
             MSB**2d0*tb + 2d0*cMHC**2d0*tb + cMHH**2d0*cab**2d0*tb - cMHH**2d0&
             *cab*sab*tb**2d0 + cMHH**2d0*cab*sab - cMHH**2d0*sab**2d0*tb -    &
             cMHL**2d0*cab**2d0*tb + cMHL**2d0*cab*sab*tb**2d0 - cMHL**2d0*cab*&
             sab + cMHL**2d0*sab**2d0*tb)/(2d0*cMW**2d0*sw**2d0*tb) + da_QED2* &
             ee**2d0*(-cMHH**2d0*cab**2d0*tb**2d0 + cMHH**2d0*cab**2d0 - 4d0*  &
             cMHH**2d0*cab*sab*tb + cMHH**2d0*sab**2d0*tb**2d0 - cMHH**2d0*sab &
             **2d0 + cMHL**2d0*cab**2d0*tb**2d0 - cMHL**2d0*cab**2d0 + 4d0*cMHL&
             **2d0*cab*sab*tb - cMHL**2d0*sab**2d0*tb**2d0 + cMHL**2d0*sab**2d0&
             )/(4d0*cMW**2d0*sw**2d0*tb) + db_QED2*ee**2d0*(cMHH**2d0*cab**2d0*&
             tb**3d0 - cMHH**2d0*cab**2d0*tb - cMHH**2d0*cab*sab*tb**4d0 + 2d0*&
             cMHH**2d0*cab*sab*tb**2d0 - cMHH**2d0*cab*sab - cMHH**2d0*sab**2d0&
             *tb**3d0 + cMHH**2d0*sab**2d0*tb - cMHL**2d0*cab**2d0*tb**3d0 +   &
             cMHL**2d0*cab**2d0*tb + cMHL**2d0*cab*sab*tb**4d0 - 2d0*cMHL**2d0*&
             cab*sab*tb**2d0 + cMHL**2d0*cab*sab + cMHL**2d0*sab**2d0*tb**3d0  &
              - cMHL**2d0*sab**2d0*tb)/(4d0*cMW**2d0*sw**2d0*tb**2d0) + cw**4d0&
             *dMZ2_QED2*ee**2d0*(MSB**2d0*tb - 2d0*cMHC**2d0*tb - cMHH**2d0*cab&
             **2d0*tb + cMHH**2d0*cab*sab*tb**2d0 - cMHH**2d0*cab*sab + cMHH** &
             2d0*sab**2d0*tb + cMHL**2d0*cab**2d0*tb - cMHL**2d0*cab*sab*tb**  &
             2d0 + cMHL**2d0*cab*sab - cMHL**2d0*sab**2d0*tb)/(4d0*cMW**4d0*sw &
             **4d0*tb) + dMW2_QED2*ee**2d0*(-MSB**2d0*cw**2d0*tb + MSB**2d0*sw &
             **2d0*tb + 2d0*cMHC**2d0*cw**2d0*tb - 2d0*cMHC**2d0*sw**2d0*tb +  &
             cMHH**2d0*cab**2d0*cw**2d0*tb - cMHH**2d0*cab**2d0*sw**2d0*tb -   &
             cMHH**2d0*cab*cw**2d0*sab*tb**2d0 + cMHH**2d0*cab*cw**2d0*sab +   &
             cMHH**2d0*cab*sab*sw**2d0*tb**2d0 - cMHH**2d0*cab*sab*sw**2d0 -   &
             cMHH**2d0*cw**2d0*sab**2d0*tb + cMHH**2d0*sab**2d0*sw**2d0*tb -   &
             cMHL**2d0*cab**2d0*cw**2d0*tb + cMHL**2d0*cab**2d0*sw**2d0*tb +   &
             cMHL**2d0*cab*cw**2d0*sab*tb**2d0 - cMHL**2d0*cab*cw**2d0*sab -   &
             cMHL**2d0*cab*sab*sw**2d0*tb**2d0 + cMHL**2d0*cab*sab*sw**2d0 +   &
             cMHL**2d0*cw**2d0*sab**2d0*tb - cMHL**2d0*sab**2d0*sw**2d0*tb)/(  &
             4d0*cMW**4d0*sw**4d0*tb)
  dl2_QED4 = dMHH2_QED2*ee**2d0*(cab**2d0*tb**2d0 + 2d0*cab*sab*tb + sab**2d0  &
             )/(4d0*cMW**2d0*sw**2d0*tb**2d0) + dMHL2_QED2*ee**2d0*(cab**2d0 - &
             2d0*cab*sab*tb + sab**2d0*tb**2d0)/(4d0*cMW**2d0*sw**2d0*tb**2d0  &
             ) - dMSB2_QED2*ee**2d0/(4d0*cMW**2d0*sw**2d0*tb**2d0) + dZee_QED2*&
             ee**2d0*(-MSB**2d0 + cMHH**2d0*cab**2d0*tb**2d0 + 2d0*cMHH**2d0*  &
             cab*sab*tb + cMHH**2d0*sab**2d0 + cMHL**2d0*cab**2d0 - 2d0*cMHL** &
             2d0*cab*sab*tb + cMHL**2d0*sab**2d0*tb**2d0)/(2d0*cMW**2d0*sw**2d0&
             *tb**2d0) + da_QED2*ee**2d0*(cMHH**2d0*cab**2d0*tb - cMHH**2d0*cab&
             *sab*tb**2d0 + cMHH**2d0*cab*sab - cMHH**2d0*sab**2d0*tb - cMHL** &
             2d0*cab**2d0*tb + cMHL**2d0*cab*sab*tb**2d0 - cMHL**2d0*cab*sab + &
             cMHL**2d0*sab**2d0*tb)/(2d0*cMW**2d0*sw**2d0*tb**2d0) + db_QED2*ee&
             **2d0*(MSB**2d0*tb**2d0 + MSB**2d0 - cMHH**2d0*cab**2d0*tb**2d0 - &
             2d0*cMHH**2d0*cab*sab*tb - cMHH**2d0*sab**2d0 - cMHL**2d0*cab**2d0&
              + 2d0*cMHL**2d0*cab*sab*tb - cMHL**2d0*sab**2d0*tb**2d0)/(2d0*cMW&
             **2d0*sw**2d0*tb**3d0) + cw**4d0*dMZ2_QED2*ee**2d0*(MSB**2d0 -    &
             cMHH**2d0*cab**2d0*tb**2d0 - 2d0*cMHH**2d0*cab*sab*tb - cMHH**2d0*&
             sab**2d0 - cMHL**2d0*cab**2d0 + 2d0*cMHL**2d0*cab*sab*tb - cMHL** &
             2d0*sab**2d0*tb**2d0)/(4d0*cMW**4d0*sw**4d0*tb**2d0) + dMW2_QED2* &
             ee**2d0*(-MSB**2d0*cw**2d0 + MSB**2d0*sw**2d0 + cMHH**2d0*cab**2d0&
             *cw**2d0*tb**2d0 - cMHH**2d0*cab**2d0*sw**2d0*tb**2d0 + 2d0*cMHH**&
             2d0*cab*cw**2d0*sab*tb - 2d0*cMHH**2d0*cab*sab*sw**2d0*tb + cMHH**&
             2d0*cw**2d0*sab**2d0 - cMHH**2d0*sab**2d0*sw**2d0 + cMHL**2d0*cab &
             **2d0*cw**2d0 - cMHL**2d0*cab**2d0*sw**2d0 - 2d0*cMHL**2d0*cab*cw &
             **2d0*sab*tb + 2d0*cMHL**2d0*cab*sab*sw**2d0*tb + cMHL**2d0*cw**  &
             2d0*sab**2d0*tb**2d0 - cMHL**2d0*sab**2d0*sw**2d0*tb**2d0)/(4d0*  &
             cMW**4d0*sw**4d0*tb**2d0)
  dl1_QED4 = dMHH2_QED2*ee**2d0*(cab**2d0 - 2d0*cab*sab*tb + sab**2d0*tb**2d0  &
             )/(4d0*cMW**2d0*sw**2d0) + dMHL2_QED2*ee**2d0*(cab**2d0*tb**2d0 + &
             2d0*cab*sab*tb + sab**2d0)/(4d0*cMW**2d0*sw**2d0) - dMSB2_QED2*ee &
             **2d0*tb**2d0/(4d0*cMW**2d0*sw**2d0) + dZee_QED2*ee**2d0*(-MSB**  &
             2d0*tb**2d0 + cMHH**2d0*cab**2d0 - 2d0*cMHH**2d0*cab*sab*tb + cMHH&
             **2d0*sab**2d0*tb**2d0 + cMHL**2d0*cab**2d0*tb**2d0 + 2d0*cMHL**  &
             2d0*cab*sab*tb + cMHL**2d0*sab**2d0)/(2d0*cMW**2d0*sw**2d0) +     &
             da_QED2*ee**2d0*(-cMHH**2d0*cab**2d0*tb + cMHH**2d0*cab*sab*tb**  &
             2d0 - cMHH**2d0*cab*sab + cMHH**2d0*sab**2d0*tb + cMHL**2d0*cab** &
             2d0*tb - cMHL**2d0*cab*sab*tb**2d0 + cMHL**2d0*cab*sab - cMHL**2d0&
             *sab**2d0*tb)/(2d0*cMW**2d0*sw**2d0) + db_QED2*ee**2d0*tb*(-MSB** &
             2d0*tb**2d0 - MSB**2d0 + cMHH**2d0*cab**2d0 - 2d0*cMHH**2d0*cab*  &
             sab*tb + cMHH**2d0*sab**2d0*tb**2d0 + cMHL**2d0*cab**2d0*tb**2d0  &
              + 2d0*cMHL**2d0*cab*sab*tb + cMHL**2d0*sab**2d0)/(2d0*cMW**2d0*sw&
             **2d0) + cw**4d0*dMZ2_QED2*ee**2d0*(MSB**2d0*tb**2d0 - cMHH**2d0* &
             cab**2d0 + 2d0*cMHH**2d0*cab*sab*tb - cMHH**2d0*sab**2d0*tb**2d0  &
              - cMHL**2d0*cab**2d0*tb**2d0 - 2d0*cMHL**2d0*cab*sab*tb - cMHL** &
             2d0*sab**2d0)/(4d0*cMW**4d0*sw**4d0) + dMW2_QED2*ee**2d0*(-MSB**  &
             2d0*cw**2d0*tb**2d0 + MSB**2d0*sw**2d0*tb**2d0 + cMHH**2d0*cab**  &
             2d0*cw**2d0 - cMHH**2d0*cab**2d0*sw**2d0 - 2d0*cMHH**2d0*cab*cw** &
             2d0*sab*tb + 2d0*cMHH**2d0*cab*sab*sw**2d0*tb + cMHH**2d0*cw**2d0*&
             sab**2d0*tb**2d0 - cMHH**2d0*sab**2d0*sw**2d0*tb**2d0 + cMHL**2d0*&
             cab**2d0*cw**2d0*tb**2d0 - cMHL**2d0*cab**2d0*sw**2d0*tb**2d0 +   &
             2d0*cMHL**2d0*cab*cw**2d0*sab*tb - 2d0*cMHL**2d0*cab*sab*sw**2d0* &
             tb + cMHL**2d0*cw**2d0*sab**2d0 - cMHL**2d0*sab**2d0*sw**2d0)/(4d0&
             *cMW**4d0*sw**4d0)
  dvev_QED1 = 2d0*cMW*dZee_QED2*(cw**2d0 - 1d0)/(ee*sw) + cw**4d0*dMZ2_QED2/(  &
              cMW*ee*sw) + dMW2_QED2*(-2d0*cw**2d0 + 1d0)/(cMW*ee*sw)
  dl5_QED4 = -dMHA2_QED2*ee**2d0/(4d0*cMW**2d0*sw**2d0) + dMSB2_QED2*ee**2d0/( &
             4d0*cMW**2d0*sw**2d0) + dZee_QED2*ee**2d0*(MSB**2d0 - cMHA**2d0)/(&
             2d0*cMW**2d0*sw**2d0) + cw**4d0*dMZ2_QED2*ee**2d0*(-MSB**2d0 +    &
             cMHA**2d0)/(4d0*cMW**4d0*sw**4d0) + dMW2_QED2*ee**2d0*(MSB**2d0*cw&
             **2d0 - MSB**2d0*sw**2d0 - cMHA**2d0*cw**2d0 + cMHA**2d0*sw**2d0  &
             )/(4d0*cMW**4d0*sw**4d0)
  dyd13x3_QED3 = sqrt(2d0)*cMB*dZee_QED2*ee*h1d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw&
                 ) + sqrt(2d0)*cMB*db_QED2*ee*h1d*tb*sqrt(tb**2d0 + 1d0)/(2d0* &
                 cMW*sw) + sqrt(2d0)*cMB*dMW2_QED2*ee*h1d*(-2d0*sw**2d0 + 1d0)*&
                 sqrt(tb**2d0 + 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*cMB*   &
                 dMZ2_QED2*ee*h1d*sqrt(tb**2d0 + 1d0)*(-sw**4d0 + 2d0*sw**2d0  &
                  - 1d0)/(4d0*cMW**3d0*sw**3d0) + sqrt(2d0)*dMB_QED2*ee*h1d*   &
                 sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
  dyd13x3_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*ee*h1d*sqrt(tb**2d0 + 1d0)/(2d0*cMW*sw)
end subroutine set_derived_ctparameter
end module derived_ctparameter
